grml-autoconfig (0.22.0) grml-testing; urgency=medium

  * [ce26c04] Drop support for dmraid

 -- Michael Prokop <mika@grml.org>  Fri, 02 Feb 2024 16:49:33 +0100

grml-autoconfig (0.21.2) grml-testing; urgency=medium

  [ Csillag Tamas ]
  * [deb3d70] if multiple mountpoints avail, pick the first one

 -- Michael Prokop <mika@grml.org>  Wed, 04 Oct 2023 18:59:59 +0200

grml-autoconfig (0.21.1) grml-testing; urgency=medium

  * [4e06a5e] Improve easter egg for 20 years of grml.org.
    Thanks to Christopher Bock and András Korn

 -- Michael Prokop <mika@grml.org>  Sat, 16 Sep 2023 14:44:00 +0200

grml-autoconfig (0.21.0) grml-testing; urgency=medium

  * [6015780] Implement easter egg for 20 years of grml.org.
    Thanks to Christopher Bock for suggesting usage of lolcat

 -- Michael Prokop <mika@grml.org>  Thu, 14 Sep 2023 18:24:38 +0200

grml-autoconfig (0.20.7) grml-testing; urgency=medium

  * [74eef77] config_cpu: use lscpu for identifying CPU information.
    Thanks to Christopher Bock and András Korn for feedback

 -- Michael Prokop <mika@grml.org>  Fri, 08 Sep 2023 08:55:38 +0200

grml-autoconfig (0.20.6) grml-testing; urgency=medium

  * [b39d89f] Replace deprecated vmware-detect with virt-what/imvirt.
    Thanks to Christoph Biedl and András Korn for feedback
  * [82176e8] imvirt/vmware: don't allow output of grep on stdout.
    Thanks to András Korn

 -- Michael Prokop <mika@grml.org>  Wed, 06 Sep 2023 17:25:03 +0200

grml-autoconfig (0.20.5) grml-testing; urgency=medium

  * [39d6dbd] Depend on util-linux-extra or older util-linux

 -- Michael Prokop <mika@grml.org>  Fri, 11 Aug 2023 19:39:42 +0200

grml-autoconfig (0.20.4) grml-testing; urgency=medium

  * [7bfc241] Drop support for bootlogd. Thanks to Roland Sommer for
    reporting

 -- Michael Prokop <mika@grml.org>  Mon, 27 Feb 2023 17:37:07 +0100

grml-autoconfig (0.20.3) grml-testing; urgency=medium

  * [1e268ff] systemd unit: use StandardInput=null to work in serial
    console mode

 -- Michael Prokop <mika@grml.org>  Fri, 02 Sep 2022 17:16:56 +0200

grml-autoconfig (0.20.2) grml-testing; urgency=medium

  * [a08b349] running_under_secureboot: update for efivarfs + new mokutil
    behavior

 -- Michael Prokop <mika@grml.org>  Mon, 21 Mar 2022 18:02:52 +0100

grml-autoconfig (0.20.1) grml-testing; urgency=medium

  * [59c0504] Demote unavailability of dmraid from error to warning only

 -- Michael Prokop <mika@grml.org>  Mon, 10 May 2021 08:45:03 +0200

grml-autoconfig (0.20.0) grml-testing; urgency=medium

  * [bf5fdcc] The Uni3-Terminus16.psf.gz font is shipped by console-setup-
    linux nowadays
  * [ac2c74a] Refresh packaging and use new debhelper style
  * [b5b1296] Drop deprecated /etc/dhcp3 and ship as /etc/dhcp only
  * [682ab2c] Drop /etc/init.d/grml-autoconfig.strace
  * [43e0bd2] Convert language-functions from ISO-8859 to UTF-8
  * [b6ad875] Apply wrap-and-sort (-tas) on Debian packaging
  * [d949005] Drop deprecated Conflicts and Replaces on grml-etc + grml-
    saveconfig

 -- Michael Prokop <mika@grml.org>  Fri, 07 May 2021 17:30:00 +0200

grml-autoconfig (0.19.4) grml-testing; urgency=medium

  * [14203cc] Do not run VirtualBox setup under enabled Secure Boot to
    avoid errors and startup delays. Thanks to Ralf Moll for the bugreport

 -- Michael Prokop <mika@grml.org>  Tue, 15 Sep 2020 21:19:05 +0200

grml-autoconfig (0.19.3) grml-testing; urgency=medium

  * [5e4c03e] Improve VirtualBox shared folders + support vboxdrv service

 -- Michael Prokop <mika@grml.org>  Thu, 13 Aug 2020 09:57:03 +0200

grml-autoconfig (0.19.2) grml-testing; urgency=medium

  * [289b3ef] VirtualBox shared folders: adjust check for detecting shared
    folder
  * [cc3ead1] VirtualBox shared folders: expect exact match for automation
    folder name

 -- Michael Prokop <mika@grml.org>  Fri, 10 Jul 2020 08:54:15 +0200

grml-autoconfig (0.19.1) grml-testing; urgency=medium

  * [86279cd] lvm: start lvm2-lvmetad only if present + support
    lvm2-lvmpolld

 -- Michael Prokop <mika@grml.org>  Tue, 23 Jun 2020 13:04:50 +0200

grml-autoconfig (0.19.0) grml-testing; urgency=medium

  * [b451f8e] Switch default mount point from /lib/live/mount/medium to
    /run/live/medium
  * [ebdc8af] Drop deprecated doc/grml-autoconfig.200905.txt
  * [6f7266f] Bump Standards-Version to 4.3.0
  * [7c8c7eb] Bump debian/compat to 10 and adjust Build-Depends on
    debhelper accordingly
  * [8fb8266] Disable shunit2 tests, failing in current Debian/unstable
    environments

 -- Michael Prokop <mika@grml.org>  Thu, 21 Mar 2019 16:31:27 +0100

grml-autoconfig (0.18.1) grml-testing; urgency=medium

  * [fc67c18] config_language: rely on console-setup for keyboard + font
    handling. Thanks to Darshaka Pathirana for debugging this

 -- Michael Prokop <mika@grml.org>  Sat, 29 Dec 2018 16:22:04 +0100

grml-autoconfig (0.18.0) grml-testing; urgency=medium

  * [7da150b] Drop deprecated loadcpufreq/cpufrequtils, no longer
    relevant. Thanks to Michael Biebl for the pointer
  * [c779fd0] Ensure haveged is running before ssh service is invoked
  * [b70487a] brltty: start brltty service instead of invoking
    /lib/brltty/brltty.sh

 -- Michael Prokop <mika@grml.org>  Fri, 14 Dec 2018 11:27:46 +0100

grml-autoconfig (0.17.4) grml-testing; urgency=medium

  * [c820a66] Fix unicode font issue under systemd by ensuring proper
    setup order

 -- Michael Prokop <mika@grml.org>  Thu, 25 Oct 2018 16:01:27 +0200

grml-autoconfig (0.17.3) grml-testing; urgency=medium

  * [acd0ff8] Don't output failures when trying to load efivars
  * [b113469] Bump Standards-Version to 4.2.1

 -- Michael Prokop <mika@grml.org>  Fri, 14 Sep 2018 09:06:44 +0200

grml-autoconfig (0.17.2) grml-testing; urgency=medium

  * [5b6b38a] Improve VM detection when running inside recent versions of
    VirtualBox. Thanks to Martin Besser for the bugreport and providing
    the relevant output

 -- Michael Prokop <mika@grml.org>  Fri, 11 May 2018 09:13:56 +0200

grml-autoconfig (0.17.1) grml-testing; urgency=medium

  [ Marcos Mello ]
  * [55ce0af] Make interactive scripts work

 -- Michael Prokop <mika@grml.org>  Tue, 02 Jan 2018 12:28:09 +0100

grml-autoconfig (0.17.0) grml-testing; urgency=medium

  * [5ee166c] Add x11vnc to Recommends
  * [2b4bfb7] Never start systemd services in background. Thanks to Leo
    Bergolth for the bugreport
  * [8f1b13c] Bump Standards-Version to 4.1.1

 -- Michael Prokop <mika@grml.org>  Fri, 06 Oct 2017 13:46:03 +0200

grml-autoconfig (0.16.1) grml-testing; urgency=medium

  * [5e3222d] For access to efivars filesystem it needs to be of type
    efivarfs

 -- Michael Prokop <mika@grml.org>  Thu, 07 Sep 2017 14:30:05 +0200

grml-autoconfig (0.16.0) grml-testing; urgency=medium

  * [71e0695] Make sure mokutil reports actual Secure Boot status even if
    not running under systemd
  * [bbd1224] Bump Standards-Version to 4.0.1

 -- Michael Prokop <mika@grml.org>  Fri, 01 Sep 2017 17:51:56 +0200

grml-autoconfig (0.15.9) grml-testing; urgency=medium

  * [eedf0cb] startx: share selected window manager via /var/run/grml-x
    /window-manager

 -- Michael Prokop <mika@grml.org>  Sun, 28 May 2017 19:55:02 +0200

grml-autoconfig (0.15.8) grml-testing; urgency=medium

  * [5086a8b] Update instructions for manual mdadm start, drop --auto=yes
    --symlink=no from swraid
  * [20365dd] Update instructions for manual LVM start + fix LVM detection
    for lvm boot option

 -- Michael Prokop <mika@grml.org>  Fri, 26 May 2017 23:38:24 +0200

grml-autoconfig (0.15.7) grml-testing; urgency=medium

  [ Michael Prokop ]
  * [f9648a3] Drop config_debug, not working under systemd as intended

  [ Darshaka Pathirana ]
  * [e3af014] Get rid of ugly startx helper script and start X on tty7/vt7
  * [79b3fa6] Fix the amixer scontrols parser in config_mixer

 -- Michael Prokop <mika@grml.org>  Wed, 24 May 2017 09:17:47 +0200

grml-autoconfig (0.15.6) grml-testing; urgency=medium

  * [1043bc0] Don't complain about missing amixer binary on tty
  * [176568c] Don't warn if SecureBoot is not enabled, instead only inform
    about current state
  * [6abd4a1] Drop deprecated and unsupported CONFIG_WELCOME configuration
  * [7138a24] Drop config_stats

 -- Michael Prokop <mika@grml.org>  Fri, 19 May 2017 15:07:49 +0200

grml-autoconfig (0.15.5) grml-testing; urgency=medium

  * [910ef17] Replace dependency on console-terminus with console-setup +
    console-setup-linux
  * [df30782] Ensure that grml-autoconfig service is running before tty1
    is enabled. Thanks to Darshaka Pathirana <dpat@syn-net.org>
  * [b535b48] Do not run sysv specific serial console setup under systemd

 -- Michael Prokop <mika@grml.org>  Fri, 12 May 2017 20:58:09 +0200

grml-autoconfig (0.15.4) grml-testing; urgency=medium

  [ Darshaka Pathirana ]
  * [b1359ba] Fix generation of startx helper script

 -- Michael Prokop <mika@grml.org>  Fri, 05 May 2017 16:58:41 +0200

grml-autoconfig (0.15.3) grml-testing; urgency=medium

  [ Michael Prokop ]
  * [ce5210b] Adjust mdadm-raid + lvm2 messages and service handling for
    usage with systemd

  [ Darshaka Pathirana ]
  * [bbf127d] Make startx boot option work with systemd

 -- Michael Prokop <mika@grml.org>  Fri, 05 May 2017 10:51:10 +0200

grml-autoconfig (0.15.2) grml-testing; urgency=medium

  * [4dca801] Re-enable GPM service startup
  * [8f31495] Provide information about whether Secure Boot is enabled or
    not

 -- Michael Prokop <mika@grml.org>  Thu, 20 Apr 2017 22:24:40 +0200

grml-autoconfig (0.15.1) grml-testing; urgency=medium

  * [2b9d1d5] No longer depend on acpid, skip acpi(d) specific stuff
    under systemd
  * [4e0362b] Use https for Homepage + Vcs-Browser entries
  * [b812f4b] systemd/grml-autoconfig.service: switch to
    WantedBy=grml-boot.target

 -- Michael Prokop <mika@grml.org>  Fri, 24 Feb 2017 13:44:27 +0100

grml-autoconfig (0.15.0) grml-testing; urgency=medium

  * [0fb27ba] Drop deprecated features
  * [21b7f0e] Initial systemd support
  * [62f3f8f] /etc/default/rcS no longer exists in recent initscripts
    versions
  * [9dec7ad] Enable acpid.socket if we're running under systemd
  * [348b546] Introduce service_wrapper to avoid direct /etc/init.d calls
  * [14ce31b] Rely on /proc/1/comm to identify running systemd
  * [e0dbcab] Source /etc/grml_nocolors with nocolor boot option
  * [95f4501] Drop grml_nocolors + grml_colors magic, instead rely on lsb-
    functions
  * [25fdf7a] Bump Standards-Version to 3.9.8
  * [f9661f9] Bump debian/compat to 9
  * [d12fdae] Build-Depend on debhlper >= 9

 -- Michael Prokop <mika@grml.org>  Fri, 13 Jan 2017 14:42:28 +0100

grml-autoconfig (0.14.0) grml-testing; urgency=medium

  * [03d4320] config_cpu: set ondemand governor only if available

 -- Michael Prokop <mika@grml.org>  Thu, 11 Dec 2014 18:04:25 +0100

grml-autoconfig (0.13.3) grml-testing; urgency=medium

  * [ed9c622] Bump Standards-Version to 3.9.6
  * [ab84b05] Support getfile.retries=... boot option. Thanks to Christian
    Hofstaedtler for reviewing

 -- Michael Prokop <mika@grml.org>  Tue, 28 Oct 2014 00:46:03 +0100

grml-autoconfig (0.13.2) grml-testing; urgency=medium

  * [4612d93] Code cleanup, drop config_dma + check_partitions
    [Closes: issue1305]

 -- Michael Prokop <mika@grml.org>  Sat, 19 Apr 2014 23:27:04 +0200

grml-autoconfig (0.13.1) grml-testing; urgency=medium

  * [332eaae] Drop checks for "forensic" boot option

 -- Michael Prokop <mika@grml.org>  Wed, 02 Apr 2014 11:45:59 +0200

grml-autoconfig (0.13.0) grml-testing; urgency=medium

  [ Andreas "Jimmy" Gredler ]
  * [bedd7c2] Drop .sp workaround, fix some typos in manpages and remove
    duplicated text
  * [11074bc] Drop code related to scripts handling on DCSDIR, breaking it
    for GRMLCFG labeled devices
  * [b9ded18] Added some extra information about DCS directory on a live
    medium

  [ Michael Prokop ]
  * [ae749b5] Bump Standards-Version to 3.9.5
  * [da0eb41] Run wrap-and-sort -a on debian directory

 -- Michael Prokop <mika@grml.org>  Thu, 20 Mar 2014 16:12:28 +0100

grml-autoconfig (0.12.1) grml-testing; urgency=medium

  * [cf7b0ee] vbautomation takes shared folder name without prefix +
    improve timing

 -- Michael Prokop <mika@grml.org>  Tue, 25 Feb 2014 11:07:29 +0100

grml-autoconfig (0.12.0) grml-testing; urgency=medium

  * [6992b68] Support automatic execution of scripts on VirtualBox
    shared folders

 -- Michael Prokop <mika@grml.org>  Mon, 24 Feb 2014 15:48:06 +0100

grml-autoconfig (0.11.5) grml-testing; urgency=medium

  * [d38b5dc] config_debs(): fix typo (s/Tring/Trying/)

 -- Michael Prokop <mika@grml.org>  Fri, 07 Feb 2014 08:58:20 +0100

grml-autoconfig (0.11.4) grml-testing; urgency=medium

  * [ff5bb8f] Fix keyboard entries for lang=ch

 -- Michael Prokop <mika@grml.org>  Wed, 05 Feb 2014 13:10:13 +0100

grml-autoconfig (0.11.3) grml-testing; urgency=medium

  * [b067eaa] config_mixer: ignore "Console" devices for amixer

 -- Michael Prokop <mika@grml.org>  Tue, 04 Feb 2014 13:53:08 +0100

grml-autoconfig (0.11.2) grml-testing; urgency=medium

  * [74288c3] Report result of scripts execution

 -- Michael Prokop <mika@grml.org>  Mon, 03 Feb 2014 16:20:07 +0100

grml-autoconfig (0.11.1) grml-testing; urgency=low

  * [9e95af6] Generate symlink /etc/mtab pointing to /proc/mounts
    [Closes: issue1277] Thanks to Michael Biebl for the initial hint

 -- Michael Prokop <mika@grml.org>  Thu, 26 Sep 2013 21:56:21 +0200

grml-autoconfig (0.11.0) grml-testing; urgency=low

  * [b7fabf8] Drop all floppy related code and documentation
  * [41dd94d] Set UTC as default time zone [Closes: issue1261]
  * [eb16ae7] support new boot option encpasswd to provide hashed
    password, refactor passwd/ssh code accordingly. Thanks to Peter
    Palfrader for the idea

 -- Michael Prokop <mika@grml.org>  Mon, 10 Jun 2013 16:39:41 +0200

grml-autoconfig (0.10.3) grml-testing; urgency=low

  * [c69610b] save-config: fix syntax error [Closes: issue1247]
    Thanks to Falko Mach

 -- Michael Prokop <mika@grml.org>  Mon, 25 Mar 2013 10:12:07 +0100

grml-autoconfig (0.10.2) grml-testing; urgency=low

  * [a152691] Run blkid under timeout command as well when accessing
    floppy device. Thanks to Florian Apolloner for bugreport and testing

 -- Michael Prokop <mika@grml.org>  Thu, 21 Feb 2013 11:01:55 +0100

grml-autoconfig (0.10.1) grml-testing; urgency=low

  * [ec19b33] Further adaptions regarding new /lib/live directory

 -- Michael Prokop <mika@grml.org>  Thu, 10 Jan 2013 13:46:47 +0100

grml-autoconfig (0.10.0) grml-testing; urgency=low

  * [f816094] Fix displaying information about virtual environment
  * [5b491f6] Adjust live media path for new live-boot version

 -- Michael Prokop <mika@grml.org>  Thu, 10 Jan 2013 13:32:50 +0100

grml-autoconfig (0.9.60) grml-testing; urgency=low

  * [ad36d36] CMDLINE handling: do not use 'local' outside a function

 -- Michael Prokop <mika@grml.org>  Sun, 04 Nov 2012 12:14:55 +0100

grml-autoconfig (0.9.59) grml-testing; urgency=low

  * [ba59a33] Drop unused aumix from Recommends
  * [1dc85ae] config_display_ssh_fingerprints: adjust check for present
    host keys
  * [d34871f] Bump Standards-Version to 3.9.4

 -- Michael Prokop <mika@grml.org>  Tue, 02 Oct 2012 10:00:36 +0200

grml-autoconfig (0.9.58) grml-testing; urgency=low

  * [12e47ae] Display SSH server key fingerprints. Thanks to Peter
    Palfrader for the idea
  * [7ce3406] Do not limit supported file names of scripts to run-parts
    defaults
  * [02c0126] Default DCSDIR to /live/image also in noautoconfig/forensic
    mode

 -- Michael Prokop <mika@grml.org>  Thu, 27 Sep 2012 10:45:00 +0200

grml-autoconfig (0.9.57) grml-testing; urgency=low

  * [a0b548a] Fix return code handling of config_testcd() + slightly
    refactor code

 -- Michael Prokop <mika@grml.org>  Wed, 05 Sep 2012 12:42:23 +0200

grml-autoconfig (0.9.56) grml-testing; urgency=low

  * [ac91105] Replace 'modprobe -l' command with modinfo(8) command line.
    Thanks to Evgeni Golov for the idea with modinfo
  * [412906c] Provide checks for vmware-detect/imvirt/virt-what for
    setting environment variables

 -- Michael Prokop <mika@grml.org>  Mon, 03 Sep 2012 13:50:50 +0200

grml-autoconfig (0.9.55) grml-testing; urgency=low

  * [b429b30] save-config: Adjust for working with current Grml versions
    [Testing: issue1188]

 -- Michael Prokop <mika@grml.org>  Tue, 24 Jul 2012 12:45:06 +0200

grml-autoconfig (0.9.54) grml-testing; urgency=low

  * [e984a87] tests/test_debs.sh: verify that autoconfig.functions
    can be read, otherwise fail
  * [890be99] config_hostname: fix syntax error and wrong eend call

 -- Michael Prokop <mika@grml.org>  Mon, 02 Jul 2012 14:24:41 +0200

grml-autoconfig (0.9.53) grml-testing; urgency=low

  * [47ab27a] No longer execute hostname command if hostname option
    is not present
  * [fc58987] vim modelines: set shiftwidth to 2

 -- Michael Prokop <mika@grml.org>  Thu, 28 Jun 2012 17:32:06 +0200

grml-autoconfig (0.9.52) grml-testing; urgency=low

  [ Dominik Schips ]
  * [00cfb15] Fix to set VNC password for correct user [Closes: issue1187]

 -- Michael Prokop <mika@grml.org>  Fri, 22 Jun 2012 19:23:15 +0200

grml-autoconfig (0.9.51) grml-testing; urgency=low

  [ Markus Ulrich ]
  * [836ed24] Remove standard language settings for grml_small
  * [d94f400] Add a README file for Github

  [ Michael Prokop ]
  * [3f2bb0b] Bump Standards-Version to 3.9.3.

 -- Michael Prokop <mika@grml.org>  Sun, 20 May 2012 14:37:24 +0200

grml-autoconfig (0.9.50) grml-testing; urgency=low

  [ Ulrich Dangel ]
  * [5afe603] Set root password to specified/generated ssh password.
  * [7e62141] Fix typo in grml-autoconfig.1.txt - use services instead of
    service
  * [b9d3a48] Run grml-x with specified window-manager.
    Thanks to Wolfgang Scheicher for the bug report.

  [ Michael Prokop ]
  * [a13eb28] Mention root user in all according ssh messages

 -- Michael Prokop <mika@grml.org>  Wed, 09 May 2012 12:17:20 +0200

grml-autoconfig (0.9.49) grml-testing; urgency=low

  [ Ulrich Dangel ]
  * [8a3d2ff] Try to read grml-autoconfig bootparameters from 9p virtio
    filesystem.

 -- Michael Prokop <mika@grml.org>  Sun, 29 Jan 2012 13:34:09 +0100

grml-autoconfig (0.9.48) grml-testing; urgency=low

  [ Kidelo ]
  * [9adf167] correct service startup and password management for non-
    default-user [Closes: issue1133]

 -- Michael Prokop <mika@grml.org>  Fri, 13 Jan 2012 14:49:25 +0100

grml-autoconfig (0.9.47) grml-testing; urgency=low

  [ Ulrich Dangel ]
  * [78d3706] Flexibilize mount handling for the DCS device.
  * [122114f] Support 9p-virtio filesystem for mounting the DCS-directory.

 -- Michael Prokop <mika@grml.org>  Mon, 09 Jan 2012 16:23:37 +0100

grml-autoconfig (0.9.46) grml-testing; urgency=low

  [ Ulrich Dangel ]
  * [55cbda4] Refactor config_testcd and support multiple md5sum files
    [Closes: issue1114]
  * [6c265c8] Re-add simplified support for brltty.
  * [3ed0d23] Remove mkdir /mnt/{floppy,cdrom,test} from grml-autoconfig

 -- Michael Prokop <mika@grml.org>  Tue, 03 Jan 2012 16:03:07 +0100

grml-autoconfig (0.9.45) grml-testing; urgency=low

  [ Ulrich Dangel ]
  * [8522247] Don't enable mixer controls containing mic in their name.
  * [0fb1256] Remove subshells in config_mixer for the tests.

 -- Michael Prokop <mika@grml.org>  Fri, 23 Dec 2011 02:11:05 +0100

grml-autoconfig (0.9.44) grml-testing; urgency=low

  [ Ulrich Dangel ]
  * [f2fca92] Rework mixer control. Try to unmute and set all devices to specified volume.

 -- Christian Hofstaedtler <ch@grml.org>  Thu, 22 Dec 2011 16:18:00 +0100

grml-autoconfig (0.9.43) grml-testing; urgency=low

  [ Ulrich Dangel ]
  * [f7359bd] Automatically try to mount configfs

 -- Christian Hofstaedtler <ch@grml.org>  Wed, 21 Dec 2011 22:38:54 +0100

grml-autoconfig (0.9.42) grml-testing; urgency=low

  [ Ulrich Dangel ]
  * [cd25e78] Unmute mixer controls before setting volume
  * [97400bd] Try to set Front mixer control.

 -- Michael Prokop <mika@grml.org>  Tue, 20 Dec 2011 20:04:35 +0100

grml-autoconfig (0.9.41) grml-testing; urgency=low

  * [cb13eea] save-config: include findchanged. Thanks to Charles Hewson
    for the bugreport. [Closes: issue1102]

 -- Michael Prokop <mika@grml.org>  Wed, 14 Dec 2011 12:42:21 +0100

grml-autoconfig (0.9.40) grml-testing; urgency=low

  [ Ulrich Dangel ]
  * [4543759] Split patterns for grep in config_stats.

  [ Christian Hofstaedtler ]
  * [b5300e2] Don't load cpufreq_ondemand if it's built-in

 -- Michael Prokop <mika@grml.org>  Sun, 11 Dec 2011 21:24:03 +0100

grml-autoconfig (0.9.39) grml-testing; urgency=low

  [ Ulrich Dangel ]
  * Replace bootparameter values with x instead of VALUE

 -- Christian Hofstaedtler <ch@grml.org>  Fri, 09 Dec 2011 20:52:45 +0100

grml-autoconfig (0.9.38) grml-testing; urgency=low

  [ Ulrich Dangel ]
  * [28c2a31] Don't use a window manager if none is specified.
  * [5f0d881] Fix typo in config_stats

 -- Michael Prokop <mika@grml.org>  Thu, 08 Dec 2011 21:17:34 +0100

grml-autoconfig (0.9.37) grml-testing; urgency=low

  [ Ulrich Dangel ]
  * [df29c9f] Collect statistic information about this boot
  * [7016c73] Run config_debnet before config_net{script,config}
  * [29e7a54] Remove local_net as it is done by ifupdown nowadays

  [ Christian Hofstaedtler ]
  * [cd68869] Actually use $TIMEOUT for fw timeout

 -- Christian Hofstaedtler <ch@grml.org>  Tue, 06 Dec 2011 22:40:11 +0100

grml-autoconfig (0.9.36) unstable; urgency=low

  * [aea0368] Add beep to Depends

 -- Michael Prokop <mika@grml.org>  Sun, 27 Nov 2011 23:15:38 +0100

grml-autoconfig (0.9.35) unstable; urgency=low

  * [a28c2ea] Drop grml-autoconfig dependency
  * [dcf0098] Drop version from udev dependency
  * [6469c35] Drop rungetty dependency

 -- Christian Hofstaedtler <ch@grml.org>  Sun, 27 Nov 2011 17:23:35 +0100

grml-autoconfig (0.9.34) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [8c86cea] Add debian/control headers Origin, Bugs
  * [b663511] Move bootlocal.*, haltlocal.* to grml-live
  * [1de4d8f] Fix typo in docs
  * [1b589c0] Remove unmaintained accessibility support
  * [4e88b7a] Remove spurious laptop-detect dependency
  * [65fdd00] Remove obsolete acpid/dbus dependency check
  * [2144a3a] Update ACPI progress strings
  * [84fb68b] Remove forceagp support
  * [c0391de] Remove APM support
  * [a5945ac] Remove grml2hd support
  * [74180ee] ACPI: re-add check for kernel support
  * [282d568] Remove 915resolution support
  * [b9c9186] Load md_mod if /proc/mdstat isn't there
  * [d694c20] Remove bootsplash
  * [62d727b] Fixup acpid already running check
  * [a18ac56] Update sed expression for boot option 'fast'
  * [d393d31] Remove long gone X11R6 from PATH
  * [1774d86] Remove further X11R6 remnants
  * [4acf9c9] Don't load cpufreq governor if cpufreq is unsupported
  * [fadf5ac] Update CPU info strings

  [ Michael Prokop ]
  * [3b169f7] Replace references to zsh-login with run-welcome

 -- Michael Prokop <mika@grml.org>  Sat, 26 Nov 2011 17:12:13 +0100

grml-autoconfig (0.9.33) unstable; urgency=low

  * [25a9d31] config_acpi_apm(): redirect stderr of ps to debug log.

 -- Michael Prokop <mika@grml.org>  Fri, 22 Jul 2011 22:30:01 +0200

grml-autoconfig (0.9.32) unstable; urgency=low

  * [a4ecc32] Automatically set up shared folder environment
    if running in VirtualBox environment.

 -- Michael Prokop <mika@grml.org>  Mon, 11 Jul 2011 19:25:29 +0200

grml-autoconfig (0.9.31) unstable; urgency=low

  * [5a37523] Support running scripts in bootoption "services"
    in foreground if they contain the string DO_NO_RUN_IN_BACKGROUND.

 -- Michael Prokop <mika@grml.org>  Thu, 07 Jul 2011 01:02:17 +0200

grml-autoconfig (0.9.30) unstable; urgency=low

  The "spring^Wsummer cleanup" release.

  [ Ulrich Dangel ]
  * [0a7ee77] Run config_services after config_netconfig
    and config_netscript.

  [ Michael Prokop ]
  * [b4e2826] Drop deprecated config_cdrom_perm().
  * [0153caf] Drop non-existing CONFIG_CREATE_MNT_DIRS
    configuration option.
  * [336d22f] Drop deprecated config_discover().
  * [660eb87] Drop deprecated config_firewire_dev().
  * [b15ea38] Drop deprecated config_hotplug_agent(),
    config_hotplug_blacklist() and config_hotplug().
  * [9af1e4e] Drop deprecated config_pcmcia().
  * [bedf2f6] Drop deprecated config_hwinfo().
  * [e855fb6] Drop disabled config_automounter().
  * [d9ef93f] Drop hotplug[-light] as alternative from depends.
  * [30df2f0] Replace (optional) dependency on syslog-ng
    with rsyslog.

 -- Michael Prokop <mika@grml.org>  Thu, 07 Jul 2011 00:49:38 +0200

grml-autoconfig (0.9.29) unstable; urgency=low

  [ Ulrich Dangel ]
  * [816eea8] Update asciidoc files to use correct link syntax.

 -- Christian Hofstaedtler <ch@grml.org>  Sun, 29 May 2011 14:34:13 +0200

grml-autoconfig (0.9.28) unstable; urgency=low

  [ Ulrich Dangel ]
  * [e65b6fd] Quote $DCSMP to check if DCSMP was mounted. Thanks to K.
    Wulff for the the bug report.

  [ Michael Prokop ]
  * [726de5e] grml-autoconfig script: shorten dialog message a bit, so
    it better fixs on 80x25 consoles.
  * [4f81354] Bump Standards-Version to 3.9.2.

 -- Michael Prokop <mika@grml.org>  Mon, 09 May 2011 16:57:20 +0200

grml-autoconfig (0.9.27) unstable; urgency=low

  [ Ulrich Dangel ]
  * [ce2da01] Remove config_setkeycodes. Should be handled nowadays in
    the kernel anyways.

  [ Martin Scharm ]
  * [6b32452] add autoconfig parameter to change GRMLCFG label
    [Closes: issue673]

 -- Michael Prokop <mika@grml.org>  Sat, 12 Mar 2011 13:40:14 +0100

grml-autoconfig (0.9.26) unstable; urgency=low

  [ Ulrich Dangel ]
  * [0f70879] Don't run rebuildfstab, it's triggered by udev nowadays.

 -- Michael Prokop <mika@grml.org>  Wed, 29 Dec 2010 11:52:24 +0100

grml-autoconfig (0.9.25) unstable; urgency=low

  [ Ulrich Dangel ]
  * [dddfae0] Install all packages in debs directory if debs boot
    parameter is specified.

  [ Michael Prokop ]
  * [a838c3b] Additional check for boot option debian2hd in
    config_debootstrap().
  * [c13a5d8] config_debs(): use *.deb instead of full wildcard as
    default for $DEBS.

 -- Michael Prokop <mika@grml.org>  Wed, 29 Dec 2010 01:19:17 +0100

grml-autoconfig (0.9.24) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [f95a8d0 + 27f8438] Fix sound volume init with multiple cards /
    duplicate control names.

  [ Michael Prokop ]
  * [7d61530] Check for "grml2hd" as valid bootoption for
    config_grml2hd() as well.
  * [1e32461] Drop pump from Depends now that we support dhclient. -
    thanks to Christian Hofstaedtler <ch@grml.org>

 -- Michael Prokop <mika@grml.org>  Tue, 28 Dec 2010 23:30:02 +0100

grml-autoconfig (0.9.23) unstable; urgency=low

  * [124715e] debian/rules: drop broken dhcp expansion from
    dh_installdirs call.

 -- Michael Prokop <mika@grml.org>  Tue, 07 Dec 2010 16:22:06 +0100

grml-autoconfig (0.9.22) unstable; urgency=low

  [ Ulrich Dangel ]
  * [efc764b] Remove CONFIG_DHCP bootoption and config_dhcp function.
  * [8147fe1] Use dhclient hooks instead of proprietary pump hooks for
    dhcphostname.

 -- Michael Prokop <mika@grml.org>  Tue, 07 Dec 2010 14:00:37 +0100

grml-autoconfig (0.9.21) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [5477800] Use (moved) debnet from grml-network.

 -- Michael Prokop <mika@grml.org>  Tue, 07 Dec 2010 12:34:46 +0100

grml-autoconfig (0.9.20) unstable; urgency=low

  [ Ulrich Dangel ]
  * [78d1364] Remove CONFIG_{QEMU,VMWARE} - its handled in grml-x
    nowadays.

  [ Michael Prokop ]
  * [a33161e] Drop deprecated config_environment, config_keyboard,
    config_interactive, config_homedir and create_mnt_dirs.

 -- Michael Prokop <mika@grml.org>  Fri, 26 Nov 2010 22:52:13 +0100

grml-autoconfig (0.9.19) unstable; urgency=low

  * [d20e91b] config_cpu(): get rid of cpufreq-detect.sh (just
    rely on /etc/init.d/loadcpufreq) and simplify code.

 -- Michael Prokop <mika@grml.org>  Fri, 26 Nov 2010 14:09:47 +0100

grml-autoconfig (0.9.18) unstable; urgency=low

  * [239898a] config_mixer: rework volume handling, get rid of aumix and
    fix_ibm_sound() (Closes: issue850)

 -- Michael Prokop <mika@grml.org>  Fri, 26 Nov 2010 13:49:41 +0100

grml-autoconfig (0.9.17) unstable; urgency=low

  * [3673e2a] Support setfont as alternative to consolechars.
  * [8ae37ab] Drop deprecated config_ipw3945() function to check for
    broken ipw3945 module.

 -- Michael Prokop <mika@grml.org>  Mon, 08 Nov 2010 18:52:59 +0100

grml-autoconfig (0.9.16) unstable; urgency=low

  [ Michael Prokop ]
  * [2e857cb] Replace depends on console-tools to 'kbd | console-
    utilities'. [Closes: issue818]
  * [b64ae9e] Drop powernowd from Recommends and adjust naming of cpu
    frequency.

  [ Alexander Wirt ]
  * [863744b] Add support for vnc_connect feature. [Closes: issue877]

 -- Michael Prokop <mika@grml.org>  Mon, 08 Nov 2010 11:17:51 +0100

grml-autoconfig (0.9.15) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [a9ef28a] fix handling of multiple console= options.
    [Closes: issue916]

 -- Michael Prokop <mika@grml.org>  Tue, 26 Oct 2010 22:55:49 +0200

grml-autoconfig (0.9.14) unstable; urgency=low

  [ Frank Terbeck ]
  * [67efa58] Fix config_debs() and make sure config_debnet() does not
    globally set options. [Closes: issue892]

  [ Ulrich Dangel ]
  * [9c5f2cc] Fixed typo in manpage.
  * [86a6099] Swap position of pre-2009.05 and post-2009.05.
  * [6e63506] [e200e8e] [e200e8e] Provide variable NETSCRIPT for
    downloaded and executed script. [Closes: issue913]
  * [d019c32] Added test for the config_debs function to test the
    parameter count for the dpkg command.

  [ Christian Hofstaedtler ]
  * [7920da3] Document run-parts restrictions for script= option.
    [Closes: issue906]

  [ Michael Prokop ]
  * [5365fba] doc/grml-autoconfig.1.txt: no longer include
    grml-autoconfig.200905.txt. [Closes: issue891]
  * [3c76bd3] Bump Standards-Version to 3.9.1.
  * [95cf665] Add zsh to Build-Depends-Indep for tests.
  * [82bbb6e] tests/test_debs.sh: provide einfo/eend wrapper for
    non-existing grml-etc-core files /etc/grml/lsb-functions and
    /etc/grml_colors.

 -- Michael Prokop <mika@grml.org>  Sat, 16 Oct 2010 18:57:15 +0200

grml-autoconfig (0.9.13) unstable; urgency=low

  [ Ulrich Dangel ]
  * [0e4cbb6] Added random hostname support. Thanks to
    Gregor Perner for the idea.

  [ Michael Prokop ]
  * [e1fb5ea] Add eend call to random hostname info message.

 -- Michael Prokop <mika@grml.org>  Mon, 02 Aug 2010 16:05:31 -0400

grml-autoconfig (0.9.12) unstable; urgency=low

  [ Ulrich Dangel ]
  * [563484d] Documented debnet parameter.

  [ Marc Haber ]
  * [f193f81] make config_console handle multiple console=-settings
    allow devices > ttyS1.

  [ Michael Prokop ]
  * [3a046cd] console setup: provide fallback if no tty was specified,
    fix minor whitespace/tab/typo issues.
  * [78c2815] Bump Standards-Version to 3.9.0.

 -- Michael Prokop <mika@grml.org>  Wed, 21 Jul 2010 23:45:13 +0200

grml-autoconfig (0.9.11) unstable; urgency=low

  * Do not check for bootoption console=ttyS as this might fail,
    instead assume safe defaults.

 -- Michael Prokop <mika@grml.org>  Tue, 01 Jun 2010 12:58:01 +0200

grml-autoconfig (0.9.10) unstable; urgency=low

  * console/serial bootoption: allow manually specifying
    baude rate / speed settings. Thanks to Tonnerre Lombard
    and Marc Haber for reporting and special thanks to Marc
    for providing a system for debugging. [Testing: issue853]

 -- Michael Prokop <mika@grml.org>  Tue, 01 Jun 2010 00:00:31 +0200

grml-autoconfig (0.9.9) unstable; urgency=low

  * Improve way how we start X via bootoption startx.

 -- Michael Prokop <mika@grml.org>  Thu, 04 Mar 2010 01:00:44 +0100

grml-autoconfig (0.9.8) unstable; urgency=low

  * save-config: search for modified files and symlinks in /etc
    only so not the full directories are stored in the resulting
    tarball. Thanks to Alexander Menk for the bugreport.
    [Closes: issue765]
  * Further cosmetic tuning for serial console mode.

 -- Michael Prokop <mika@grml.org>  Sat, 27 Feb 2010 15:28:52 +0100

grml-autoconfig (0.9.7) unstable; urgency=low

  * Improve chvt code for serial console.
  * Drop mgetty specific code for serial console feature and
    activate all lines in /etc/inittab beginning with string
    "#grmlserial#" instead (provided by grml-etc >=1.1.33).

 -- Michael Prokop <mika@grml.org>  Sat, 27 Feb 2010 02:37:13 +0100

grml-autoconfig (0.9.6) unstable; urgency=low

  * Use Lat15-Terminus16 instead of lat1-16/lat10-16 to address
    broken lang=pt feature. [Closes: issue691]
  * Deprecate home=... bootoption and drop the mkpersistenthome
    script. The home feature has too many flaws and nowadays
    the persistency feature should be used instead.
    [Closes: issue449]
  * Bump to Standards-Version 3.8.4.

 -- Michael Prokop <mika@grml.org>  Fri, 26 Feb 2010 21:49:00 +0100

grml-autoconfig (0.9.5) unstable; urgency=low

  * Bootoption hostname: use grml-hostname to adjust configuration
    files on the fly. [Closes: gf-issue33]

 -- Michael Prokop <mika@grml.org>  Tue, 02 Feb 2010 14:33:09 +0100

grml-autoconfig (0.9.4) unstable; urgency=low

  * If there's no lang=... bootoption present default to lang=en (except
    for grml-small).

 -- Michael Prokop <mika@grml.org>  Sun, 10 Jan 2010 21:41:24 +0100

grml-autoconfig (0.9.3) unstable; urgency=low

  * Add support for dmraid.

 -- Michael Prokop <mika@grml.org>  Tue, 15 Dec 2009 17:02:29 +0100

grml-autoconfig (0.9.2) unstable; urgency=low

  [ Ulrich Dangel ]
  * Run config_config before config_scripts. [Closes: issue776]

  [ Michael Prokop ]
  * Add VNC support. Based on code by formorer, thanks! [Testing: issue781]

 -- Michael Prokop <mika@grml.org>  Sat, 12 Dec 2009 11:37:03 +0100

grml-autoconfig (0.9.1) unstable; urgency=low

  * Use lang=en as default (instead of lang=us). [Closes: issue760]
  * Enable cpu frequency scaling on all hardware by default (and
    don't limit it to laptops only). Thanks for bringing this
    up, Andras Korn! [Closes: issue754]

 -- Michael Prokop <mika@grml.org>  Sat, 14 Nov 2009 13:27:52 +0100

grml-autoconfig (0.9.0) unstable; urgency=low

  * Drop usage of $UID in scripts.
  * Add note regarding configuration settings into the interactive
    grml-autoconfig script.

 -- Michael Prokop <mika@grml.org>  Thu, 29 Oct 2009 13:50:07 +0100

grml-autoconfig (0.8.40) unstable; urgency=low

  [ Ulrich Dangel ]
  * Load Lat15-Terminus16 font if no framebuffer is available. Thanks to
    Thorsten Glaser for his hint. [Closes: issue318]

 -- Michael Prokop <mika@grml.org>  Sat, 24 Oct 2009 21:05:12 +0200

grml-autoconfig (0.8.39) unstable; urgency=low

  * Apply another patch contributed by Marc Haber (thanks!):
    Set DCSMP to /mnt/grmlcfg only if a GRMLCFG fs was found.

 -- Michael Prokop <mika@grml.org>  Fri, 23 Oct 2009 21:41:00 +0200

grml-autoconfig (0.8.38) unstable; urgency=low

  * Apply patch contributed by Marc Haber (thanks!) which fixes
    wrong behavior if no grml.sh is found.

 -- Michael Prokop <mika@grml.org>  Thu, 22 Oct 2009 14:30:15 +0200

grml-autoconfig (0.8.37) unstable; urgency=low

  * Apply patch contributed by Marc Haber (thanks!) which addresses the
    following bug: /grml.sh and /config.tbz on a GRMLCFG file system need
    to be processed without command line options.

 -- Michael Prokop <mika@grml.org>  Thu, 22 Oct 2009 01:38:29 +0200

grml-autoconfig (0.8.36) unstable; urgency=low

  * /etc/grml/pump-scripts.d/set-hostname: use busybox nslookup instead of
    host(1) so the script works on grml-medium and grml-small as well.

 -- Michael Prokop <mika@grml.org>  Sun, 18 Oct 2009 16:43:25 +0200

grml-autoconfig (0.8.35) unstable; urgency=low

  * Revert "unicode_start command: do not redirect stderr to debug file"
    to avoid flooding the console.

 -- Michael Prokop <mika@grml.org>  Sun, 18 Oct 2009 16:00:41 +0200

grml-autoconfig (0.8.34) unstable; urgency=low

  [ Ulrich Dangel ]
  * Integrate patch by Andreas Thienemann <andreas@bawue.net> (thanks!):
    Add a dhcphostname option to grml which will set the hostname of the
    booted system according to the dns information.
    This Patch implements support for the non-netboot cases by adding
    an appropriate script to be called by pump.

  * Reworked and grmlfied patch from Andreas Thienemann:
    Introduced etc/grml/pump-scripts.d, added wrapper script
    /usr/lib/grml-autoconfig/pump-runparts, modified set-hostname to use
    checkbootparam and run it per default (disable via 'nodhcphostname').

  [ Michael Prokop ]
  * Make sure the hostname script is executed only in live mode and
    uses grml-hostname for adjusting /etc/hosts as well.
    [Closes: issue679]

 -- Michael Prokop <mika@grml.org>  Sat, 17 Oct 2009 14:58:28 +0200

grml-autoconfig (0.8.33) unstable; urgency=low

  [ Ulrich Dangel ]
  * Use amixer instead of aumix for setting the output volume.
    [Closes: Issue625]

 -- Michael Prokop <mika@grml.org>  Wed, 14 Oct 2009 09:03:59 +0200

grml-autoconfig (0.8.32) unstable; urgency=low

  * config_finddcsdir: some minor message display improvements
    (fix indention levels, display $DCSDIR only if non-default)
  * unicode_start command: do not redirect stderr to debug file

 -- Michael Prokop <mika@grml.org>  Mon, 28 Sep 2009 20:59:57 +0200

grml-autoconfig (0.8.31) unstable; urgency=low

  [ Ulrich Dangel ]
  * Introduced autconfig.local for local modifications
    [Closes: issue326]
  * Added ARCH as predefinded variable to autoconfig.functions
  * Extended netconfig/netscript to expand variables in url.
    Example: netscript=server/script-$ARCH.sh
  * Added unittest for finddcsdir

  [ Michael Prokop ]
  * Don't use /usr/X11R6/bin/X anymore, since Debian/squeeze doesn't
    provide it any longer. Thanks for the patch to Julian Langschaedel.

 -- Michael Prokop <mika@grml.org>  Mon, 21 Sep 2009 18:57:16 +0200

grml-autoconfig (0.8.30) unstable; urgency=low

  [ Ulrich Dangel ]
  * added new bootparameter netscript: introduced new bootoption
    for downloading and running a executable from a remote host
    [Closes: issue734]

 -- Michael Prokop <mika@grml.org>  Mon, 21 Sep 2009 18:35:18 +0200

grml-autoconfig (0.8.29) unstable; urgency=low

  [ Ulrich Dangel ]
  * modify wget parameter to only try once to download given config.
    [Closes: issue732]

 -- Michael Prokop <mika@grml.org>  Thu, 10 Sep 2009 15:43:10 +0200

grml-autoconfig (0.8.28) unstable; urgency=low

  [ Michael Prokop ]
  * DCSDIR default value is /live/image. If no GRMLCONFIG device
    is found and no myconfig option is given, DCSDIR is empty. It should
    be /live/image. Thanks to Ulrich Dangel for the bugreport, thanks
    to Marc Haber for the fix. [Closes: issue730]

  [ Ulrich Dangel]
  * Add unit tests for {get,check}bootparam.
  * Fix a bug in getbootparam() (requesting unavailable argument
    returned wrong bootoption instead of empty value).

  [ Frank Terbeck ]
  * doc/Makefile: fix non posix shell syntax.
  * Integrate Ulrich's unit tests into the Debian package.

 -- Michael Prokop <mika@grml.org>  Thu, 10 Sep 2009 01:01:04 +0200

grml-autoconfig (0.8.27) unstable; urgency=low

  * Fix typo in grml-autoconfig(1).
  * Fix bootoption check for startx in combination with nostartx.
    Thanks to Julian Langschädel for report and bugfix!

 -- Michael Prokop <mika@grml.org>  Tue, 08 Sep 2009 03:16:21 +0200

grml-autoconfig (0.8.26) unstable; urgency=low

  * Fix syntax error in checkbootparam().

 -- Michael Prokop <mika@grml.org>  Mon, 17 Aug 2009 09:52:59 +0200

grml-autoconfig (0.8.25) unstable; urgency=low

  * config_finddcsdir(): Use the correct device for GRMLCFG.
    Bugreport and path by Julian Langschädel, thanks!
  * Patches by Marc Haber (thanks!):
    - Streamline calls of bootparams-functions, single quotes everywhere.
    - Don't print the "Debs, config, scripts will be read from the live
      image directly." message if no debs, config or scripts option
      was given on the command line.
    - Drop $CMDLINE from grml-autoconfig; it's initialized from within
      autoconfig.functions.
    - Moved documentation from grml-saveconfig (now AKA grml-autoconfig.txt)
      and adjusted for new DSC feature.
  * Set $CMDLINE in $BOOTDEBUG part only if it's not available yet.
  * Code cleanup:
    - drop stringinstring(), stringinfile() and checkgrmlusb()
    - rework getbootparam(), checkvalue() and checkbootparam() - now
      we handle bootoptions in /proc/cmdline correctly as whole words
      and support matching begin and end of line as well.
  * Build-Depends-Indep on asciidoc, docbook-xsl and xsltproc.
  * Bump Standard Version to 3.8.3.
  * Merge scripts and documention from grml-saveconfig.
  * Provide separate documentation for each script.

 -- Michael Prokop <mika@grml.org>  Mon, 17 Aug 2009 03:19:28 +0200

grml-autoconfig (0.8.24) unstable; urgency=low

  * Check for space after bootoption 'fast' so we do not conflict
    with new kernel bootoption fastboot.
  * New bootoption 'nostartx': if using startx as default bootoption
    the bootoption 'nostartx' disables automatic startup of X.
  * Apply patch by Marc Haber regarding re-work of debs, config
    and scripts handling (thanks a lot!):
    - debs, config and scripts are always searched and read from the
      same place ($dcs-dir). Which place this is varies, depending on
      GRMLCFG, noautoconfig and myconfig.
    - debs are searched in $dcs-dir/debs. If debs=foo is given, foo is
      taken as a shell wildcard for the debs being installed, paths are
      allowed and relative to $dcs-dir.
    - config archives (config.tbz) are searched directly in $dcs-dir. If
      config=foo is given and foo is a file, that file is unpacked and its
      content taken as configuration archive. If config=foo is given and foo
      is a directory, the contents of the directory tree is copied over the
      live CD configuration. paths are allowed and relative to $dcs-dir
    - scripts are searched in $dcs-dir/scripts. If scripts=foo is given
      and foo is a file, that file is executed. If scripts=foo is given and
      foo is a directory, all files inside that directory are executed.
      Paths are allowed and relative to $dcs-dir.
    - If no GRMLCFG partition is found and noautoconfig is _not_ given
      on the command line, nothing is changed and the dcs files are
      searched within the .iso, $dcs-dir is set to the root directory
      within the .iso
    - If a GRMLCFG partition is found, $dcs-dir is set to the root of
      the GRMLCFG partition unless noautoconfig is set. If noautoconfig is
      set, $dcs-dir is set to the root directory within the .iso.
    - If myconfig=foo is set on the command line, $dcs-dir is set to
      foo, even if a GRMLCFG partition is present.
    [Testing: issue715]
  * Drop config_cdrom_scripts(): the bootoption "script" is triggered
    by bootoption "scripts" and was never officially documented.
  * Switch wording from 'CD' to 'live mode' where possible.
  * Bump Build-Depends to debhelper >=5.
  * Bump Standard-Version to 3.8.2 (no further changes).
  * Use invoke-rc.d for starting network instead of invoking the
    init script directly.
  * Add LSB header to init script grml-autoconfig.strace.
  * Add placeholder functions for start/restart/reload/stop to
    grml-autoconfig.strace.
  * Adjust copyright file (add reference to GPL-2, adjust year).

 -- Michael Prokop <mika@grml.org>  Wed, 05 Aug 2009 15:44:41 +0200

grml-autoconfig (0.8.23) unstable; urgency=low

  * Use /etc/modprobe.d/grml.conf as blacklist file (thanks to
    Christian Hofstaedtler for the report!).
  * Use 'config.tbz' as default filename if not overriden by
    bootoption config.

 -- Michael Prokop <mika@grml.org>  Fri, 29 May 2009 10:59:55 +0200

grml-autoconfig (0.8.22) unstable; urgency=low

  * Fix bootoption "ssh": current versions of chpasswd don't support
    option '-m' anymore (foo, this sucks!). [Testing: issue671]
  * Improve ""Sorry, could not find file ..." message if there isn't
    any config.tbz present. [Testing: issue670]

 -- Michael Prokop <mika@grml.org>  Wed, 20 May 2009 18:12:44 +0200

grml-autoconfig (0.8.21) unstable; urgency=low

  * Install haltlocal initscript in postinst script.
  * Bump Standard Version to 3.8.1 and Compat Version to 5.

 -- Michael Prokop <mika@grml.org>  Mon, 18 May 2009 09:17:23 +0200

grml-autoconfig (0.8.20) unstable; urgency=low

  * Use "speakup_..." for speakup bootoption. Thanks to Michael Whapples!

 -- Michael Prokop <mika@grml.org>  Wed, 08 Apr 2009 14:36:42 +0200

grml-autoconfig (0.8.19) unstable; urgency=low

  * Add support for speakup.synth=... bootoption. [Testing: issue610]
    [Closes: issue620]

 -- Michael Prokop <mika@grml.org>  Mon, 06 Apr 2009 12:47:34 +0200

grml-autoconfig (0.8.18) unstable; urgency=low

  * Drop support for /etc/grml/autoconfig.small. It causes
    more headaches and work than benefit. Instead make sure
    to properly support grml-small in the "grml-large"
    configuration. [Testing: issue573]
  * Change forensic bootoption handling: let's add 'forensic' to
    the kernel append line as well now.
  * Make sure to proberly support /live/image/bootparams/ again.

 -- Michael Prokop <mika@grml.org>  Fri, 20 Feb 2009 18:54:33 +0100

grml-autoconfig (0.8.17) unstable; urgency=low

  [ Michael Prokop ]
  * Some updates in config_time(), *many* thanks to Thomas Lehmann:
    - improve localtime / utc / gmt handling
    - use UTC="--localtime" by default
    - evaluate tz bootoption in this function as well
    - execute hwclock even if /dev/rtc isn't available, just display
      warning regarding the lack of /dev/rtc
  [ Ulrich Dangel ]
  * Refactored config unpacking config parameter will now be honored,
    e.g. config=foo.tbz myconfig=/dev/sda1 is now possible.
  * Get always the right boot parameter via /proc/cmdline.
    [Testing: issue520]

 -- Michael Prokop <mika@grml.org>  Thu, 12 Feb 2009 19:37:15 +0100

grml-autoconfig (0.8.16) unstable; urgency=low

  * Support tohd=... bootoption.

 -- Michael Prokop <mika@grml.org>  Sat, 15 Nov 2008 13:20:22 +0100

grml-autoconfig (0.8.15) unstable; urgency=low

  * Use us instead of en-utf8 as default locale (this is what we
    are using as bootparam by default as well).
  * Support C/POSIX locales within language setup.
  * Use POSIX locales on grml-small.
  * Adjust VCS headers (we use git nowadays).

 -- Michael Prokop <mika@grml.org>  Mon, 03 Nov 2008 01:29:36 +0100

grml-autoconfig (0.8.14) unstable; urgency=low

  * Rework config_swspeak once more, move most parts of the logic
    into an external script named 'swspeak' which will be shipped
    with grml-scripts.

 -- Michael Prokop <mika@grml.org>  Mon, 06 Oct 2008 00:05:51 +0200

grml-autoconfig (0.8.13) unstable; urgency=low

  * Use random password if bootoption 'ssh' doesn't have an option.
    Thanks to Michael Holzt and Marc Haber!
  * Update swedish language settings, thanks again to Martin Karresand.
  * Rework config_swspeak to support new speakup modules layout, needs
    heavy testing though.
  * Add config_hwspeak for supporting hardware speakup from userspace,
    needs heavy testing as well.
  * Use flite commands through a wrapper function.

 -- Michael Prokop <mika@grml.org>  Sat, 27 Sep 2008 17:38:49 +0200

grml-autoconfig (0.8.12) unstable; urgency=low

  * Add support for swedish language settings. Contributed
    by Martin Karresand, thanks!

 -- Michael Prokop <mika@grml.org>  Wed, 24 Sep 2008 15:11:49 +0200

grml-autoconfig (0.8.11) unstable; urgency=low

  * Move noautoconfig hint from floppy part to top level.

 -- Michael Prokop <mika@grml.org>  Wed, 27 Aug 2008 16:00:13 +0200

grml-autoconfig (0.8.10) unstable; urgency=low

  * Update cpufrequency handling to reflect changes in current
    kernel versions (like 2.6.26-grml). The cpufrequency modules
    are available at $KERNEL/kernel/arch/x86/kernel/cpu/cpufreq
    due to the x86/amd64 merge.
    [Closes: issue505]

 -- Michael Prokop <mika@grml.org>  Fri, 15 Aug 2008 23:06:26 +0200

grml-autoconfig (0.8.9) unstable; urgency=low

  * Check for /dev/input/mice before starting GPM.
  * Some small cleanups to make lintian happy.

 -- Michael Prokop <mika@grml.org>  Thu, 17 Jul 2008 21:04:53 +0200

grml-autoconfig (0.8.8) unstable; urgency=low

  * Mention job handling stuff when using debug=noscreen.

 -- Michael Prokop <mika@grml.org>  Mon, 09 Jun 2008 17:11:58 +0200

grml-autoconfig (0.8.7) unstable; urgency=low

  * config_mypath(): fix mkdir usage and write directories just once
    to /etc/grml/my_path.

 -- Michael Prokop <mika@grml.org>  Tue, 20 May 2008 01:01:37 +0200

grml-autoconfig (0.8.6) unstable; urgency=low

  * config_syslog(): support other syslog daemons than syslog-ng as well.
  * config_mypath(): create directory if it does not exist yet.

 -- Michael Prokop <mika@grml.org>  Sat, 17 May 2008 22:06:05 +0200

grml-autoconfig (0.8.5) unstable; urgency=low

  * config_mypath(): allow setting additional $PATH via bootoption
    mypath, usage example: "mypath=/forensic"

 -- Michael Prokop <mika@grml.org>  Sat, 22 Mar 2008 00:42:34 +0100

grml-autoconfig (0.8.4) unstable; urgency=low

  * Make sure we support old directory layout (/cdrom) as
    well as the new one (/live/image) for specific bootoptions.
    Thanks to Jon for reporting the bug. [Testing: issue414]

 -- Michael Prokop <mika@grml.org>  Mon, 18 Feb 2008 13:31:11 +0100

grml-autoconfig (0.8.3) unstable; urgency=low

  * config_log(): log as well if bootoption debug is present
  * config_debug(): support bootoption debug=noscreen to be able to
    run a non-screen session

 -- Michael Prokop <mika@grml.org>  Sun, 20 Jan 2008 19:52:14 +0100

grml-autoconfig (0.8.2) unstable; urgency=low

  * grml-autoconfig scripts: if an "auto" configured device can be found in
    /etc/network/interfaces (except for the loopback device) then suggest
    setting CONFIG_DHCP=no by default. Thanks for feedback, Bernd Haug!
    [Closes: issue324]

 -- Michael Prokop <mika@grml.org>  Sat, 19 Jan 2008 23:03:18 +0100

grml-autoconfig (0.8.1) unstable; urgency=low

  * Support multiple modules in bootoption blacklist.
    [Closes: issue321]

 -- Michael Prokop <mika@grml.org>  Mon, 14 Jan 2008 21:34:35 +0100

grml-autoconfig (0.8.0) unstable; urgency=low

  * Support /etc/X11/xorg.conf.virtualbox in config_vmware()
  * Bump Standard-Version to 3.7.3 (no further changes).

 -- Michael Prokop <mika@grml.org>  Thu, 27 Dec 2007 23:58:48 +0100

grml-autoconfig (0.7.32) unstable; urgency=low

  * Fix typo in manpage. Thanks to eModul for reporting!
    [Closes: issue355]

 -- Michael Prokop <mika@grml.org>  Fri, 07 Dec 2007 00:16:00 +0100

grml-autoconfig (0.7.31) unstable; urgency=low

  * Drop unused update_progress() and no longer read in
    /etc/sysconfig/grml.

 -- Michael Prokop <mika@grml.org>  Tue, 20 Nov 2007 21:42:56 +0100

grml-autoconfig (0.7.30) unstable; urgency=low

  * Make sure to switch to the original tty when running
    consolechars. There seems to be a strange race condition
    inside consolechars.

 -- Michael Prokop <mika@grml.org>  Fri, 16 Nov 2007 08:46:02 +0100

grml-autoconfig (0.7.29) unstable; urgency=low

  * New bootoption micvol (usage: micvol=$number) for setting mixer/
    volume settings of microphone channel. Thanks to Ernst Ahlers
    for the bugreport ("Rückkopplungspfeifen") and bringing up
    the idea of setting it to '0' by default.

 -- Michael Prokop <mika@grml.org>  Thu, 15 Nov 2007 22:02:03 +0100

grml-autoconfig (0.7.28) unstable; urgency=low

  * Drop the 'consolechars --tty=/dev/tty${vc} -d' stuff from
    config_language, otherwise we will find ourself at tty5 under
    certain circumstances.
  * Add bootoption noconsolefont to skip setting console font via
    consolechars.

 -- Michael Prokop <mika@grml.org>  Thu, 15 Nov 2007 11:46:15 +0100

grml-autoconfig (0.7.27) unstable; urgency=low

  * Ignore /dev/.static/dev for /etc/mtab in live-mode.

 -- Michael Prokop <mika@grml.org>  Sat, 03 Nov 2007 17:22:19 +0100

grml-autoconfig (0.7.26) unstable; urgency=low

  * Replace check for /var/run/acpid.socket with grepping
    for a running acpid process because the socket file isn't
    present reliable.

 -- Michael Prokop <mika@grml.org>  Sat, 27 Oct 2007 19:04:05 +0200

grml-autoconfig (0.7.25) unstable; urgency=low

  * Move syslog startup to the begin of grml-autoconfig so we make
    sure for example acpid is more quiet. [Testing: issue307]

 -- Michael Prokop <mika@grml.org>  Sat,  6 Oct 2007 19:34:05 +0200

grml-autoconfig (0.7.24) unstable; urgency=low

  * Adjust look'n'feel of testcd and improve error handling as well.
  * Drop the "Not runnning unicode_start: grml-small with reduced language
    support detected." check as we want to get working UTF8 setup on
    grml-small/grml-medium as well.

 -- Michael Prokop <mika@grml.org>  Sun, 30 Sep 2007 14:13:45 +0200

grml-autoconfig (0.7.23) unstable; urgency=low

  * Add acpi-support to Recommends and depend on console-tools.
  * Drop the logger stuff for acpid as doesn't seem to help.

 -- Michael Prokop <mika@grml.org>  Thu, 20 Sep 2007 17:24:13 +0200

grml-autoconfig (0.7.22) unstable; urgency=low

  * Check for "none /sys sysfs" instead of sysfs only. This should
    fix duplicate output inside /etc/mtab.
  * Send output of acpid to $DEBUG and logger.

 -- Michael Prokop <mika@grml.org>  Thu, 20 Sep 2007 16:05:50 +0200

grml-autoconfig (0.7.21) unstable; urgency=low

  * And finally get rid of the /dev/shm/resolvconf workaround again.
    We have to solve it in the chroot builder.

 -- Michael Prokop <mika@grml.org>  Mon, 17 Sep 2007 22:11:48 +0200

grml-autoconfig (0.7.20) unstable; urgency=low

  * Improve check for presence of /dev/shm/resolvconf.

 -- Michael Prokop <mika@grml.org>  Mon, 17 Sep 2007 17:37:34 +0200

grml-autoconfig (0.7.19) unstable; urgency=low

  * Make sure /dev/shm/resolvconf exists.

 -- Michael Prokop <mika@grml.org>  Mon, 17 Sep 2007 16:39:24 +0200

grml-autoconfig (0.7.18) unstable; urgency=low

  * config_lvm(): support Debian etch as well

 -- Michael Prokop <mika@grml.org>  Mon, 17 Sep 2007 16:14:39 +0200

grml-autoconfig (0.7.17) unstable; urgency=low

  * Update /etc/mtab if running in live-initramfs mode.

 -- Michael Prokop <mika@grml.org>  Sat,  8 Sep 2007 13:07:54 +0200

grml-autoconfig (0.7.16) unstable; urgency=low

  * Drop support for (deprecated) bootoption 'expert'.

 -- Michael Prokop <mika@grml.org>  Fri,  7 Sep 2007 00:20:27 +0200

grml-autoconfig (0.7.15) unstable; urgency=low

  * config_language(): check for existence of /etc/sysconfig/keyboard
    [Closes: issue272]

 -- Michael Prokop <mika@grml.org>  Wed,  5 Sep 2007 19:09:58 +0200

grml-autoconfig (0.7.14) unstable; urgency=low

  * Update $INSTALLED check to fix syntax error.

 -- Michael Prokop <mika@grml.org>  Tue,  4 Sep 2007 13:59:01 +0200

grml-autoconfig (0.7.13) unstable; urgency=low

  * config_testcd: adjust for use with live-initramfs.
  * Adjust $INSTALLED check for use with live-initramfs.

 -- Michael Prokop <mika@grml.org>  Tue,  4 Sep 2007 12:37:28 +0200

grml-autoconfig (0.7.12) unstable; urgency=low

  * config_timezone: added some more error handling and adjust return value.

 -- Michael Prokop <mika@grml.org>  Thu, 02 Aug 2007 11:01:18 +0200

grml-autoconfig (0.7.11) unstable; urgency=low

  * Rename bootoption splash into "textsplash" (and additionally
    support "tsplash" as well) so users can use graphical splash
    from Debian *or* textsplash of grml. Use tty14 instead of tty7
    and switch there using chvt.
  * Fix code regression of checkbootparam (use '||' instead of '-o')

 -- Michael Prokop <mika@grml.org>  Wed, 25 Jul 2007 19:12:56 +0200

grml-autoconfig (0.7.10) unstable; urgency=low

  * Add config_ipw3945() which works around broken ipw3945 driver,
    important especially for hd installation.

 -- Michael Prokop <mika@grml.org>  Wed, 25 Jul 2007 19:00:03 +0200

grml-autoconfig (0.7.9) unstable; urgency=low

  * Support bootoption nogrmlacpi to disable acpi stuff inside
    grml-autoconfig without having to boot using noacpi (which
    triggers kernel code actions).
  * Inform user how to skip the acpi stuff.

 -- Michael Prokop <mika@grml.org>  Wed, 25 Jul 2007 15:20:14 +0200

grml-autoconfig (0.7.8) unstable; urgency=low

  * Inform users about CONFIG_DHCP=no when running from harddisk.
  * Do not automatically start sl-modem-daemon but instead inform
    user about 'Start sl-modem-daemon'.

 -- Michael Prokop <mika@grml.org>  Thu, 12 Jul 2007 15:33:57 +0200

grml-autoconfig (0.7.7) unstable; urgency=low

  * config_mixer: check for /proc/asound/cards before trying to
    execute mixer binaries
  * fix typo: it's therefore and not therefor

 -- Michael Prokop <mika@grml.org>  Wed, 11 Jul 2007 19:41:04 +0200

grml-autoconfig (0.7.6) unstable; urgency=low

  * config_lvm(): check for 'No volume groups found' as lvdisplay does
    not provide appropriate return code for us.
  * config_cpu(): Virtual Box supports ACPI and laptop-detect returns
    with '0', so check for it and skip it.
  * config_mixer(): Add 'no soundcard?' to aumix error message

 -- Michael Prokop <mika@grml.org>  Wed, 11 Jul 2007 19:25:25 +0200

grml-autoconfig (0.7.5) unstable; urgency=low

  * Integrate /etc/init.d/loadcpufreq in config_cpu() [Closes: issue238]

 -- Michael Prokop <mika@grml.org>  Wed, 04 Jul 2007 12:02:49 +0200

grml-autoconfig (0.7.4) unstable; urgency=low

  * support LVM (logical volumes):
    - bootoption 'lvm' activates them
    - no special bootoption just runs 'lvdisplay' and if something
      can be found the user gets a hint to execute 'Start lvm2' to
      set it up
    - bootoption 'nolvm' completely disables the lvm code/checks
  * support dvorak keyboard layout in iso-mode as well (using
    bootoption 'dvorak-iso'; bootoptions 'dvorak' and 'dvorak-utf8'
    are supported as well of course)

 -- Michael Prokop <mika@grml.org>  Sun, 01 Jul 2007 20:35:30 +0200

grml-autoconfig (0.7.3) unstable; urgency=low

  * language-functions: support dvorak keyboard layout [Closes: issue227]

 -- Michael Prokop <mika@grml.org>  Mon, 04 Jun 2007 22:34:00 +0200

grml-autoconfig (0.7.2) unstable; urgency=low

  * language-functions: improve setup for japan, add support for 'jp'
    but still support 'ja' of course.

 -- Michael Prokop <mika@grml.org>  Mon, 28 May 2007 13:55:21 +0200

grml-autoconfig (0.7.1) unstable; urgency=low

  * Bumbing version to 0.7, we have a new stable release!

 -- Michael Prokop <mika@grml.org>  Sun, 13 May 2007 11:18:35 +0200

grml-autoconfig (0.6.42) unstable; urgency=low

  * Add additional check for valid block device and if mounting
    a partition was successfull for handling swap bootoption.
    The bootoption 'swap' mounted all availble partitions
    read-only, this should be fixed now.
    Thanks for the bugreport, Matthias Diener!

 -- Michael Prokop <mika@grml.org>  Sat, 12 May 2007 00:47:33 +0200

grml-autoconfig (0.6.41) unstable; urgency=low

  * config_distri(): make sure /usr/share/grml/desktop.jpg is removed
    if it's a symlink, otherwise the copy will fail.

 -- Michael Prokop <mika@grml.org>  Sun, 22 Apr 2007 14:01:42 +0200

grml-autoconfig (0.6.40) unstable; urgency=low

  * Allow BOOT_APPEND from grml-debootstrap via cmdline

 -- Alexander Wirt <formorer@grml.org>  Sat, 21 Apr 2007 11:13:53 +0200

grml-autoconfig (0.6.39) unstable; urgency=low

  * Fix small typo in config_debootstrap().

 -- Michael Prokop <mika@grml.org>  Mon, 16 Apr 2007 23:13:40 +0200

grml-autoconfig (0.6.38) unstable; urgency=low

  * Rename partition bootoption inside config_debootstrap() to
    bootoption target.

 -- Michael Prokop <mika@grml.org>  Mon, 16 Apr 2007 20:50:15 +0200

grml-autoconfig (0.6.37) unstable; urgency=low

  * Support full automatic installation of Debian via grml-debootstrap
    via config_debootstrap().

 -- Michael Prokop <mika@grml.org>  Mon, 16 Apr 2007 19:27:13 +0200

grml-autoconfig (0.6.36) unstable; urgency=low

  * Fix tty6-check, thanks for the code review - Matthias Lederhofer!

 -- Michael Prokop <mika@grml.org>  Sun, 15 Apr 2007 13:24:45 +0200

grml-autoconfig (0.6.35) unstable; urgency=low

  * Make sure tty6 is defined in /etc/inittab for xstartup, even
    if it's grml-small.

 -- Michael Prokop <mika@grml.org>  Sun, 15 Apr 2007 13:14:41 +0200

grml-autoconfig (0.6.34) unstable; urgency=low

  * Code rewrite of config_fstab(), this should fix the '/home
    is unmounted on hd-installation if fstype is not auto'.
  * Bump Standard Version to 3.7.2 (no further changes).
  * Add '#DEBHELPER#' to maintainer scripts. Make lintian happy.
  * Move error output of unicode_start to $DEBUG.

 -- Michael Prokop <mika@grml.org>  Sun, 15 Apr 2007 12:12:33 +0200

grml-autoconfig (0.6.33) unstable; urgency=low

  * Do not execute unicode_start on grml-small in live-mode.
    [Testing: issue193]

 -- Michael Prokop <mika@grml.org>  Fri, 13 Apr 2007 12:49:56 +0200

grml-autoconfig (0.6.32) unstable; urgency=low

  * Fix logical structure of config_vmware().

 -- Michael Prokop <mika@grml.org>  Mon,  9 Apr 2007 13:40:40 +0200

grml-autoconfig (0.6.31) unstable; urgency=low

  * language-functions: applied patch by Jan-Pieter Jacobs
    which improves and extends locales for Belgian. Thanks!
    We now have bed (dutch), bef (french) and beg (german)
    (in iso and utf8 versions as usual) plus the normal
    'be' stuff (with updated locales now) of course.

 -- Michael Prokop <mika@grml.org>  Fri,  6 Apr 2007 23:34:04 +0200

grml-autoconfig (0.6.30) unstable; urgency=low

  * config_vmware(): if vmware-detect fails (in grml64 currently
    for example) additionally check for bootimage vmware.
  * config_distri(): new code which supports setting wallpaper
    via /cdrom/desktop/$DISTRI.jpg

 -- Michael Prokop <mika@grml.org>  Wed,  4 Apr 2007 21:28:49 +0200

grml-autoconfig (0.6.29) unstable; urgency=low

  * config_language(): rework the way unicode_start and consolechars
    are used. This should fix a race condition with german umlauts
    within for example GNU screen so the umlauts work on tty1 but
    not on other consoles.

 -- Michael Prokop <mika@grml.org>  Tue,  3 Apr 2007 17:03:02 +0200

grml-autoconfig (0.6.28) unstable; urgency=low

  * config_console(): support setting of bps via bootoption
    serial as requested by Marc 'Zugschlus' Haber, see
    http://blog.zugschlus.de/archives/530-using-grml-to-prepare-LVM-surgery.html

 -- Michael Prokop <mika@grml.org>  Thu, 29 Mar 2007 15:33:10 +0200

grml-autoconfig (0.6.27) unstable; urgency=low

  * grml-autoconfig script: make sure CONFIG_FSTAB matches only
    CONFIG_FSTAB and not CONFIG_FSTABUSER & CO. Thanks for the hint,
    gebi!

 -- Michael Prokop <mika@grml.org>  Thu, 29 Mar 2007 11:31:20 +0200

grml-autoconfig (0.6.26) unstable; urgency=low

  * Reintroduce /usr/bin/cpufreq-detect.sh code, otherwise
    cpu-screen and cpu frequency scaling won't work.
    [Closes: issue178]
    [Closes: issue179]

 -- Michael Prokop <mika@grml.org>  Tue, 27 Mar 2007 10:47:38 +0200

grml-autoconfig (0.6.25) unstable; urgency=low

  * Improve informational messages for VMware/Qemu.

 -- Michael Prokop <mika@grml.org>  Sun, 25 Mar 2007 15:53:28 +0200

grml-autoconfig (0.6.24) unstable; urgency=low

  * config_vmware(): fix small syntax error.
  * config_cpu(): support x86 in cpufreq detection, use ondemand
    governor now and drop powernowd (needs heavy testing though).

 -- Michael Prokop <mika@grml.org>  Sun, 25 Mar 2007 13:25:15 +0200

grml-autoconfig (0.6.23) unstable; urgency=low

  * Added config_qemu() which currently does nothing else than
    copying /etc/X11/xorg.conf.example to /etc/X11/xorg.conf.

 -- Michael Prokop <mika@grml.org>  Sun, 25 Mar 2007 12:45:41 +0200

grml-autoconfig (0.6.22) unstable; urgency=low

  * config_time(): check for existing /dev/rtc, display only
    first line of error message if running hwclock fails.

 -- Michael Prokop <mika@grml.org>  Sun, 25 Mar 2007 12:32:45 +0200

grml-autoconfig (0.6.21) unstable; urgency=low

  * Add locales to Recommends.

 -- Michael Prokop <mika@grml.org>  Sun, 18 Mar 2007 00:30:24 +0100

grml-autoconfig (0.6.20) unstable; urgency=low

  * Add rsync to depends.
  * config_language(): make sure /etc/sysconfig exists
  * config_local_net(): check for entry in /etc/network/interfaces
    before using ifup, fall back to ifconfig otherwise
  * Change Suggests: line into Recommends: and added mdadm.

 -- Michael Prokop <mika@grml.org>  Sat, 17 Mar 2007 23:48:12 +0100

grml-autoconfig (0.6.19) unstable; urgency=low

  * Add rungetty to depends.

 -- Michael Prokop <mika@grml.org>  Sat, 17 Mar 2007 23:32:39 +0100

grml-autoconfig (0.6.18) unstable; urgency=low

  * Add gawk to depends.

 -- Michael Prokop <mika@grml.org>  Sat, 17 Mar 2007 23:29:33 +0100

grml-autoconfig (0.6.17) unstable; urgency=low

  * Remove lsb-functions stuff from debian/postrm to avoid race-conditions
    when removing the package.

 -- Michael Prokop <mika@grml.org>  Sat, 17 Mar 2007 22:40:09 +0100

grml-autoconfig (0.6.16) unstable; urgency=low

  * Execute config_homedir() only if home-bootoption is set.
  * Run the mount command inside config_fstab only if "$NOSWAP"
    is not set.

 -- Michael Prokop <mika@grml.org>  Fri,  9 Mar 2007 15:08:25 +0100

grml-autoconfig (0.6.15) unstable; urgency=low

  * Fix startx bootoption. (Thanks for reporting, wuehlmaus.)

 -- Michael Prokop <mika@grml.org>  Mon, 19 Feb 2007 18:59:13 +0100

grml-autoconfig (0.6.14) unstable; urgency=low

  * config_language(): activate unicode console if running
    within utf8 environment via unicode_start [Closes: issue75]

 -- Michael Prokop <mika@grml.org>  Sat, 17 Feb 2007 13:58:52 +0100

grml-autoconfig (0.6.13) unstable; urgency=low

  * Make sure the 'running inside VMware' isn't printed when running
    with a Xen-enabled kernel (which returns '0' for vmware-detect).

 -- Michael Prokop <mika@grml.org>  Mon,  5 Feb 2007 12:37:37 +0100

grml-autoconfig (0.6.12) unstable; urgency=low

  * Support detection of CPUs with support for virtualization (vmx/svm).
    Check for Xen-support as well.

 -- Michael Prokop <mika@grml.org>  Wed, 24 Jan 2007 10:34:35 +0100

grml-autoconfig (0.6.11) unstable; urgency=low

  * config_x_startup(): make sure handling of /etc/inittab for
    bootoption startx works on grml-small too, thanks for
    debugging and patch, Steffen Joeris!
  * autoconfig: change CONFIG_FSTAB_USER='1000' into
    CONFIG_FSTAB_USER='grml', otherwise startx bootoption fails
    due to use of sudo, thanks again - Steffen!
    (Closes: issue79)

 -- Michael Prokop <mika@grml.org>  Wed, 17 Jan 2007 17:31:57 +0100

grml-autoconfig (0.6.10) unstable; urgency=low

  * Use Uni3-Terminus16 instead of Uni3-Terminus14 as default font.

 -- Michael Prokop <mika@grml.org>  Mon, 18 Dec 2006 01:35:32 +0100

grml-autoconfig (0.6.9) unstable; urgency=low

  * Use Uni3-Terminus14 as default font to get utf8 support by default.
  * Update language functions for 'get utf8 by default'.

 -- Michael Prokop <mika@grml.org>  Sat, 16 Dec 2006 18:24:11 +0100

grml-autoconfig (0.6-8) unstable; urgency=low

  * config_time: make sure /etc/default/locale can be accessed
    before reading it (relevant basically only for booting via PXE).

 -- Michael Prokop <mika@grml.org>  Sun,  3 Dec 2006 22:56:58 +0100

grml-autoconfig (0.6-7) unstable; urgency=low

  * config_time: use option --directisa for hwclock if running hwclock
    fails (work around the 'select() to /dev/rtc to wait for clock
    tick timed out' problem).

 -- Michael Prokop <mika@grml.org>  Sun,  3 Dec 2006 18:07:08 +0100

grml-autoconfig (0.6-6) unstable; urgency=low

  * Display "not using swap partition" only in live-cd mode.

 -- Michael Prokop <mika@grml.org>  Sun,  3 Dec 2006 12:47:42 +0100

grml-autoconfig (0.6-5) unstable; urgency=low

  * Adjust swraid bootoption information text, thanks formorer
    for feedback.

 -- Michael Prokop <mika@grml.org>  Sun,  3 Dec 2006 01:36:44 +0100

grml-autoconfig (0.6-4) unstable; urgency=low

  * Do *not* autoassemble sw-raid arrays any more, instead:
    - create /etc/mdadm/mdadm.conf by default, boot using
      noswraid to disable it
    - assemble md arrays only if bootoption swraid is used,
      otherwise display usage information how to enable it
    (Closes: issue35)

 -- Michael Prokop <mika@grml.org>  Sat,  2 Dec 2006 16:41:18 +0100

grml-autoconfig (0.6-3) unstable; urgency=low

  * Extend 'Ignoring swap partition'-message for new default
    behaviour (do not use swap by default anymore).

 -- Michael Prokop <mika@grml.org>  Mon, 27 Nov 2006 23:45:30 +0100

grml-autoconfig (0.6-2) unstable; urgency=low

  * Use 'MDADM_MAILADDR__' for setting mailaddress in mdadm.conf.
    (Closes: issue24)

 -- Michael Prokop <mika@grml.org>  Mon, 27 Nov 2006 12:25:26 +0100

grml-autoconfig (0.6-1) unstable; urgency=low

  * Bumb version to 0.6 for new release.

 -- Michael Prokop <mika@grml.org>  Sun, 26 Nov 2006 19:10:31 +0100

grml-autoconfig (0.5-28) unstable; urgency=low

  * config_userfstab: use new CONFIG_FSTAB_USER variable from
    /etc/grml/autoconfig
  * adjust configuration files for CONFIG_FSTAB_USER and
    CONFIG_FSTAB_GROUP supported by grml-rebuildfstab (>= 0.3-16).

 -- Michael Prokop <mika@grml.org>  Fri, 24 Nov 2006 21:24:40 +0100

grml-autoconfig (0.5-27) unstable; urgency=low

  * Use LANGUAGE="en" instead of LANGUAGE="us" for lang=en*,
    thanks for input - Dirk Deimeke!

 -- Michael Prokop <mika@grml.org>  Tue, 21 Nov 2006 00:04:20 +0100

grml-autoconfig (0.5-26) unstable; urgency=low

  * autoconfig.functions: make sure we can access /proc/cmdline
    when just sourcing this file too

 -- Michael Prokop <mika@grml.org>  Thu, 16 Nov 2006 21:33:35 +0100

grml-autoconfig (0.5-25) unstable; urgency=low

  * grml-autoconfig script: deprecate CONFIG_KERNEL, CONFIG_LANGUAGE,
    CONFIG_DMA and CONFIG_MIXER as they are not really relevant on hd
    installations.
  * Do not use swap by default anymore, thanks for feedback goes to
    Wolfgang Karall!
  * Set mailaddress when creating /etc/mdadm/mdadm.conf so mdadm's
    initscripts do not report warnings anymore on hd-installations.

 -- Michael Prokop <mika@grml.org>  Thu, 16 Nov 2006 20:23:45 +0100

grml-autoconfig (0.5-24) unstable; urgency=low

  * Added support for Norsk environment, thanks to Arnt Karlsen!

 -- Michael Prokop <mika@grml.org>  Tue, 14 Nov 2006 13:09:19 +0100

grml-autoconfig (0.5-23) unstable; urgency=low

  * The "we need a cleanup" release.
  * Move checkbootparam "config" into myconfig function and
    deprecate config_config therefor. (Thanks for the hint,
    Marc Haber!)
  * Deprecate unsued functions config_checkfs, config_remount_root,
    config_old_myconfig and config_config.
  * Remove unused $CONFIG_SPLASH from configuration files.

 -- Michael Prokop <mika@grml.org>  Fri, 10 Nov 2006 00:34:17 +0100

grml-autoconfig (0.5-22) unstable; urgency=low

  * config_swraid: use mkconf for generation of mdadm.conf

 -- Michael Prokop <mika@grml.org>  Tue,  7 Nov 2006 12:30:09 +0100

grml-autoconfig (0.5-21) unstable; urgency=low

  * grml-bootsplash: replace the clear command with
    "echo -ne '\033[H\033[25l'" to avoid flickering.
    Thanks a lot, Michael Schierl!

 -- Michael Prokop <mika@grml.org>  Mon,  6 Nov 2006 23:11:36 +0100

grml-autoconfig (0.5-20) unstable; urgency=low

  * config_swraid: add usage info how to disable it, check for
    bootoption raid=noautodetect as well.
  * Added some more checks for bootoption 'forensic' for users
    who don't know that forensic should be the image name and not
    an additional bootoption.

 -- Michael Prokop <mika@grml.org>  Thu,  2 Nov 2006 20:19:11 +0100

grml-autoconfig (0.5-19) unstable; urgency=low

  * Added function config_swraid ($CONFIG_SWRAID) for detection
    of software raid arrays, running only in live-cd mode.

 -- Michael Prokop <mika@grml.org>  Wed,  1 Nov 2006 14:14:44 +0100

grml-autoconfig (0.5-18) unstable; urgency=low

  * config_cpu: beautify "Detecting CPU" for SMP systems.

 -- Michael Prokop <mika@grml.org>  Tue, 31 Oct 2006 15:36:18 +0100

grml-autoconfig (0.5-17) unstable; urgency=low

  * config_mixer: beautify error output of aumix.

 -- Michael Prokop <mika@grml.org>  Tue, 31 Oct 2006 12:38:52 +0100

grml-autoconfig (0.5-16) unstable; urgency=low

  * Fix config_debs() and include it in config files, thanks for
    notice - schula!

 -- Michael Prokop <mika@grml.org>  Mon, 23 Oct 2006 00:33:54 +0200

grml-autoconfig (0.5-15) unstable; urgency=low

  * config_language: duplicate the getbootparam keyboard code to make
    sure /etc/grml/language-functions does not overwrite our values...

 -- Michael Prokop <mika@grml.org>  Thu, 12 Oct 2006 13:00:17 +0200

grml-autoconfig (0.5-14) unstable; urgency=low

  * Check for existence of
    /usr/share/consolefonts/Lat15-Terminus16.psf.gz

 -- Michael Prokop <mika@grml.org>  Sat,  7 Oct 2006 23:37:28 +0200

grml-autoconfig (0.5-13) unstable; urgency=low

  * Don't export $COUNTRY and $CHARSET anymore.

 -- Michael Prokop <mika@grml.org>  Wed,  4 Oct 2006 10:39:24 +0200

grml-autoconfig (0.5-12) unstable; urgency=low

  * Change 'chown grml.grml ...' into 'chown grml: ...'. Thanks, Worf!
  * Remove /etc/sysconfig/.

 -- Michael Prokop <mika@grml.org>  Thu, 28 Sep 2006 16:30:42 +0200

grml-autoconfig (0.5-11) unstable; urgency=low

  * Use KEYTABLE="gr-utf8" for greek-utf8.
  * grml-autoconfig script: change keyboard into language.

 -- Michael Prokop <mika@grml.org>  Mon, 25 Sep 2006 10:23:04 +0200

grml-autoconfig (0.5-10) unstable; urgency=low

  * Rewrote language code:
    - support $LANG-utf8
    - use the script grml-setlang instead of output variable to
      /etc/environment and /etc/sysconfig/*
    - use CHARSET="iso8859-15" by default, support some new languages
    - config_environment, config_running_from and config_keyboard
      are deprecate now
  * Removed discover from Suggests and added alsa-utils instead.
  * Check for presence of aumix and amixer binaries in config_mixer.
  * Cleanup of "doubled logic checks" like
    "if ! [ -z ..." => "if [ -n ..."].
  * Check whether a swap partition is used already and inform user
    about it. Support LABELs as well.

 -- Michael Prokop <mika@grml.org>  Sat, 23 Sep 2006 12:10:32 +0200

grml-autoconfig (0.5-9) unstable; urgency=low

  * Use "amixer get Front" in config_mixer so the IBM notebooks
    have sound by default as well. Thanks Jimmy for debugging
    and code-base!

 -- Michael Prokop <mika@grml.org>  Sun, 17 Sep 2006 16:29:28 +0200

grml-autoconfig (0.5-8) unstable; urgency=low

  * Check for lo device in /etc/network/run/ifstate before
    running "ifup lo".
  * Clean /etc/network/status/ before writing into it.
  * Change { pump... } into ( pump... ).

 -- Michael Prokop <mika@grml.org>  Sat, 16 Sep 2006 15:08:30 +0200

grml-autoconfig (0.5-7) unstable; urgency=low

  * Move /etc/grml/lsb-functions to package grml-etc-core.

 -- Michael Prokop <mika@grml.org>  Sat, 16 Sep 2006 11:03:43 +0200

grml-autoconfig (0.5-6) unstable; urgency=low

  * Write status of pump into /etc/network/status/$DEVICE.

 -- Michael Prokop <mika@grml.org>  Fri, 15 Sep 2006 18:44:35 +0200

grml-autoconfig (0.5-5) unstable; urgency=low

  * Set CONFIG_CREATE_MNT_DIRS=no and warn when create_mnt_dirs()
    is executed as grml-rebuildfstab does all we need from now on.

 -- Michael Prokop <mika@grml.org>  Mon, 11 Sep 2006 21:39:56 +0200

grml-autoconfig (0.5-4) unstable; urgency=low

  * Deactivate creation of /mnt/*-directories as grml-rebuildfstab
    >= 0.3-1 takes care of it. Depend on grml-rebuildfstab package
    >= 0.3-1 therefore.

 -- Michael Prokop <mika@grml.org>  Mon, 11 Sep 2006 15:51:22 +0200

grml-autoconfig (0.5-3) unstable; urgency=low

  * Run chpasswd with '-m' option.

 -- Michael Prokop <mika@grml.org>  Tue, 15 Aug 2006 12:35:54 +0200

grml-autoconfig (0.5-2) unstable; urgency=low

  * Run 'ifup lo' only in live-cd mode...

 -- Michael Prokop <mika@grml.org>  Sat, 12 Aug 2006 14:08:32 +0200

grml-autoconfig (0.5-1) unstable; urgency=low

  * Bumb version, grml 0.8 is coming closer...

 -- Michael Prokop <mika@grml.org>  Fri, 11 Aug 2006 11:48:44 +0200

grml-autoconfig (0.4-33) unstable; urgency=low

  * Use ifup instead of ifconfig for bringing up lo in
    config_local_net().

 -- Michael Prokop <mika@grml.org>  Thu, 10 Aug 2006 09:14:51 +0200

grml-autoconfig (0.4-32) unstable; urgency=low

  * Drop unused config_splash().

 -- Michael Prokop <mika@grml.org>  Fri,  4 Aug 2006 12:14:50 +0200

grml-autoconfig (0.4-31) unstable; urgency=low

  * Use "timeout 4" when running dd on floppy drive. Thanks, Gebi!

 -- Michael Prokop <mika@grml.org>  Fri,  4 Aug 2006 10:12:34 +0200

grml-autoconfig (0.4-30) unstable; urgency=low

  * Check for running hal/d-bus and warn in acpid sequence then.
  * Improved apm-stuff in config_acpi_apm.

 -- Michael Prokop <mika@grml.org>  Fri, 21 Jul 2006 13:06:52 +0200

grml-autoconfig (0.4-29) unstable; urgency=low

  * Moved generic $LANGUAGE stuff into its own file named
    /etc/grml/language-functions so we can source the file
    in grml-autoconfig and grml-scripts without having to
    maintain it in several places.
  * Write $LANG-stuff in config_environment to /etc/default/locales
    if the file does not exist yet.

 -- Michael Prokop <mika@grml.org>  Tue, 18 Jul 2006 19:59:47 +0200

grml-autoconfig (0.4-28) unstable; urgency=low

  * Send errors to $DEBUG in checkgrmlsmall() and checkgrmlusb()
    as there are people out there using grml-autoconfig on plain
    Debian systems where /etc/grml_version does not exist. :)

 -- Michael Prokop <mika@grml.org>  Tue, 18 Jul 2006 18:41:51 +0200

grml-autoconfig (0.4-27) unstable; urgency=low

  * The "oh, I love GNU" Release.
  * Adjusted tail command to get rid of the "Warning: "+number" syntax is
    deprecated, please use "-n +number"".
  * Added $CONFIG_BLANKING to disable console blanking (on request
    by Marc 'Zugschlus' Haber).
  * Added header to be Init Script LSB-compliant, see
    http://wiki.debian.org/LSBInitScripts for details.

 -- Michael Prokop <mika@grml.org>  Fri,  7 Jul 2006 21:58:57 +0200

grml-autoconfig (0.4-26) unstable; urgency=low

  * Added support for /etc/init.d/boolocal.{pre,middle,post}.
  * Added manpage grml-bootsplash.1.
  * grml-bootsplash: switched to /bin/bash to make lintian happy,
    improved error handling as well.

 -- Michael Prokop <mika@grml.org>  Sun,  4 Jun 2006 14:03:00 +0200

grml-autoconfig (0.4-25) unstable; urgency=low

  * Added textbased bootsplash support based on contribution
    by Florian Keller <Florian.Keller@zuerich.ch>, thanks!
  * Run language stuff at the beginning so the fonts are
    switched earlier.

 -- Michael Prokop <mika@grml.org>  Sat, 27 May 2006 11:23:15 +0200

grml-autoconfig (0.4-24) unstable; urgency=low

  * Reorderd $KEYTABLE check in config_environment.

 -- Michael Prokop <mika@grml.org>  Sun, 14 May 2006 21:30:47 +0200

grml-autoconfig (0.4-23) unstable; urgency=low

  * Added '-m' option to consolechars call.

 -- Michael Prokop <mika@grml.org>  Sun, 14 May 2006 17:13:40 +0200

grml-autoconfig (0.4-22) unstable; urgency=low

  * Moved check for bootoption [x]keyboard=... to config_environment.

 -- Michael Prokop <mika@grml.org>  Sun, 14 May 2006 16:59:34 +0200

grml-autoconfig (0.4-21) unstable; urgency=low

  * Adjust KEYTABLE of bootoption keyboard=de/at via
    /etc/sysconfig/keyboard, otherwise we've a racecondition.
  * Reworked charset code to run it on all tty's.

 -- Michael Prokop <mika@grml.org>  Sun, 14 May 2006 12:18:24 +0200

grml-autoconfig (0.4-20) unstable; urgency=low

  * The 'oh, we are lintian-clean again even though #360534' Release.

 -- Michael Prokop <mika@grml.org>  Fri, 12 May 2006 21:48:30 +0200

grml-autoconfig (0.4-19) unstable; urgency=low

  * Take KEYTABLE="de-latin1-nodeadkeys" for bootoptions keyboard=de
    and keyboard=at.

 -- Michael Prokop <mika@grml.org>  Fri, 12 May 2006 21:32:21 +0200

grml-autoconfig (0.4-18) unstable; urgency=low

  * Added pump to depends. Thanks, Florian Keller!

 -- Michael Prokop <mika@grml.org>  Fri,  5 May 2006 13:01:11 +0200

grml-autoconfig (0.4-17) unstable; urgency=low

  * Support multiline settings in /cdrom/bootparams/*. Patch
    contributed by Florian Keller, thanks!

 -- Michael Prokop <mika@grml.org>  Thu,  4 May 2006 22:48:43 +0200

grml-autoconfig (0.4-16) unstable; urgency=low

  * Adjusted $XKEYBOARD and $KDEKEYBOARD as suggested by
    Florian Keller, thanks!

 -- Michael Prokop <mika@grml.org>  Wed,  3 May 2006 09:37:44 +0200

grml-autoconfig (0.4-15) unstable; urgency=low

  * Move $CMDLINE before the checkbootparam "nocolor" code.
    Switch order of display and sourcing lsb-functions.
  * Don't run bootlogd via initscript as startup might be
    prevented via /etc/default/bootlogd.

 -- Michael Prokop <mika@grml.org>  Sun, 30 Apr 2006 16:10:29 +0200

grml-autoconfig (0.4-14) unstable; urgency=low

  * grml-autoconfig script reads in current state of options now.

 -- Michael Prokop <mika@grml.org>  Sun, 30 Apr 2006 14:55:57 +0200

grml-autoconfig (0.4-13) unstable; urgency=low

  * Removed config_color as it is handled when sourcing lsb-functions.

 -- Michael Prokop <mika@grml.org>  Sun, 30 Apr 2006 13:01:54 +0200

grml-autoconfig (0.4-12) unstable; urgency=low

  * Use consolechars instead of charset for $CHARMAP.

 -- Michael Prokop <mika@grml.org>  Sun, 30 Apr 2006 12:02:39 +0200

grml-autoconfig (0.4-11) unstable; urgency=low

  * Fixed wrong logic of nocolor check.

 -- Michael Prokop <mika@grml.org>  Sun, 30 Apr 2006 11:49:46 +0200

grml-autoconfig (0.4-10) unstable; urgency=low

  * Check for bootoption nocolor and source
    /etc/grml/lsb-functions with RC_NOCOLOR=yes then.

 -- Michael Prokop <mika@grml.org>  Sun, 30 Apr 2006 01:00:03 +0200

grml-autoconfig (0.4-9) unstable; urgency=low

  * Fixed bootlogd problems, now we are starting it through the
    init script.
  * Fixed problem with loading charset because of using the
    wrong variable. Thanks to Maciej 'harnir' Delmanowski!

 -- Michael Prokop <mika@grml.org>  Sun, 30 Apr 2006 00:01:49 +0200

grml-autoconfig (0.4-8) unstable; urgency=low

  * reworked language section
    - improve indenting of case $LANGUAGE code...
    - use Lat15-Terminus16 as default console font if
      bootoption "nodefaultfont" isn't used, depend on
      package console-terminus therefore
    - use console font Lat2-Terminus16 instead of iso02g,
      reported by Maciej 'harnir' Delmanowski, thanks!
    - rename "Activating keyboard settings" to "Activating
      language settings"
    - add (deactivated) CONSOLEFONT to /etc/grml/autoconfig[.small]
  * removed time-stuff from grml-autoconfig interface
  * fixed name of keyboard code in grml-autoconfig interface
  * added support for iso02 charmaps in config_keyboard, thanks to
    Maciej 'harnir' Delmanowski!

 -- Michael Prokop <mika@grml.org>  Fri, 28 Apr 2006 22:35:34 +0200

grml-autoconfig (0.4-7) unstable; urgency=low

  * Run config_time and config_timezone only in live-mode.

 -- Michael Prokop <mika@grml.org>  Sun, 23 Apr 2006 20:05:51 +0200

grml-autoconfig (0.4-6) unstable; urgency=low

  * We must use $LANG for LC_ALL and LC_MESSAGES.

 -- Michael Prokop <mika@grml.org>  Sat, 22 Apr 2006 00:06:54 +0200

grml-autoconfig (0.4-5) unstable; urgency=low

  * config_environment: set LC_MESSAGES to $LANGUAGE
    and LC_ALL to $LANGUAGE in /etc/environment

 -- Michael Prokop <mika@grml.org>  Fri, 21 Apr 2006 15:32:05 +0200

grml-autoconfig (0.4-4) unstable; urgency=low

  * Use /bin/ls instead of ls to prevent alias errors when
    running interactive.
  * Check for mounted /mnt/grml before unmounting.
  * Always set returncode for variable $RC, avoid race conditions.

 -- Michael Prokop <mika@grml.org>  Fri, 21 Apr 2006 00:39:18 +0200

grml-autoconfig (0.4-3) unstable; urgency=low

  * Reworked config_fwtimeout for low default firmware timeout
    of kernel.

 -- Michael Prokop <mika@grml.org>  Sun,  9 Apr 2006 12:28:39 +0200

grml-autoconfig (0.4-2) unstable; urgency=low

  * Don't run code from config_environment on hd-installation.

 -- Michael Prokop <mika@grml.org>  Sat,  8 Apr 2006 14:06:07 +0200

grml-autoconfig (0.4-1) unstable; urgency=low

  *  New grml version.

 -- Michael Prokop <mika@grml.org>  Thu,  6 Apr 2006 16:18:43 +0200

grml-autoconfig (0.3-14) unstable; urgency=low

  * config_fstab: don't try to create empty dirs in /mnt/.

 -- Michael Prokop <mika@grml.org>  Wed,  5 Apr 2006 23:56:50 +0200

grml-autoconfig (0.3-13) unstable; urgency=low

  * Removed discover from grml-autoconfig interface. Nobody
    needs that nowadays anymore...
  * Activate config_fstab by default again in grml-autoconfig
    interface.
  * Reordered execution of $UID check and mktemp in grml-autoconfig
    interface.

 -- Michael Prokop <mika@grml.org>  Mon,  3 Apr 2006 00:36:58 +0200

grml-autoconfig (0.3-12) unstable; urgency=low

  * Updated manpage.

 -- Michael Prokop <mika@grml.org>  Thu, 30 Mar 2006 00:25:14 +0200

grml-autoconfig (0.3-11) unstable; urgency=low

  * Reworked config_cpu(). Don't let the kernel decide what
    cpufrequency modules we want but do it on our own using
    the new cpufreq-detect.sh from grml-scripts.

 -- Michael Prokop <mika@grml.org>  Fri, 24 Mar 2006 11:25:38 +0100

grml-autoconfig (0.3-10) unstable; urgency=low

  * Improved config_swspeak (added sound output).

 -- Michael Prokop <mika@grml.org>  Thu, 23 Mar 2006 12:04:46 +0100

grml-autoconfig (0.3-9) unstable; urgency=low

  * Don't run rebuildfstab by default on hd-install's anymore via
    grml-autoconfig script.
  * Renamed CONFIG_FSTABUSER to CONFIG_USERFSTAB so adjusting
    values via grml-autoconfig does not conflict with CONFIG_FSTAB.

 -- Michael Prokop <mika@grml.org>  Sat, 25 Feb 2006 20:02:58 +0100

grml-autoconfig (0.3-8) unstable; urgency=low

  * Added detection of software-suspend swap partitions to
    config_fstab. Support use of ANYSWAP as well.

 -- Michael Prokop <mika@grml.org>  Sun, 19 Feb 2006 14:42:49 +0100

grml-autoconfig (0.3-7) unstable; urgency=low

  * Print $CMDLINE when in debug mode.

 -- Michael Prokop <mika@grml.org>  Thu, 16 Feb 2006 22:26:24 +0100

grml-autoconfig (0.3-6) unstable; urgency=low

  * Deactivated the 'not running under zsh' warning.

 -- Michael Prokop <mika@grml.org>  Fri, 10 Feb 2006 23:42:28 +0100

grml-autoconfig (0.3-5) unstable; urgency=low

  * Added an additional check for label on floppy disks via blkid
    if running dd was successful to config_automount. Hopefully this
    fixes the annoying 'GRMLCFG does not work with floppy disk'
    problem. Needs some testing on real, problematic hardware though.

 -- Michael Prokop <mika@grml.org>  Tue, 31 Jan 2006 01:05:15 +0100

grml-autoconfig (0.3-4) unstable; urgency=low

  * Switched some einfo messages to ewarn
    ("Skipping .. as requested" stuff).

 -- Michael Prokop <mika@grml.org>  Sun, 22 Jan 2006 15:11:12 +0100

grml-autoconfig (0.3-3) unstable; urgency=low

  * Adjusted $MEM variables in config_small to better react on low
    memory systems.
  * Bumbed required udev version in depends to version 0.080-1.

 -- Michael Prokop <mika@grml.org>  Sat, 21 Jan 2006 23:19:11 +0100

grml-autoconfig (0.3-2) unstable; urgency=low

  * Moved discover from depends to suggests. Added check for /sbin/discover
    to config_discover.

 -- Michael Prokop <mika@grml.org>  Sat, 21 Jan 2006 20:12:01 +0100

grml-autoconfig (0.3-1) unstable; urgency=low

  * The 'hey, get your winterschlapfn' release.

 -- Michael Prokop <mika@grml.org>  Sat, 21 Jan 2006 13:43:30 +0100

grml-autoconfig (0.2-49) unstable; urgency=low

  * Oh, I forgot to print the 'no $IP'-code in config_distcc
    only if bootparam distcc is set. Nothing serious, fixed anyway.

 -- Michael Prokop <mika@grml.org>  Fri, 20 Jan 2006 21:50:09 +0100

grml-autoconfig (0.2-48) unstable; urgency=low

  * Improved info messages in config_distcc. Don't try to start
    distcc if no valid ip address or interface is available.

 -- Michael Prokop <mika@grml.org>  Fri, 20 Jan 2006 20:43:53 +0100

grml-autoconfig (0.2-47) unstable; urgency=low

  * Fixed volume handling in config_mixer (empty default variable).
  * Wait until $IP is set in config_distcc or continue after 10 tries.

 -- Michael Prokop <mika@grml.org>  Fri, 20 Jan 2006 14:09:32 +0100

grml-autoconfig (0.2-46) unstable; urgency=low

  * Switched order of execution of config_kernel and config_vmware.
  * Added bootoption novmware to skip execution of vmware specific
    stuff.

 -- Michael Prokop <mika@grml.org>  Mon, 16 Jan 2006 22:02:57 +0100

grml-autoconfig (0.2-45) unstable; urgency=low

  * Fixed racecondition with unquoted $VARIABLES (thanks, Gebi!).

 -- Michael Prokop <mika@grml.org>  Sun, 15 Jan 2006 22:39:16 +0100

grml-autoconfig (0.2-44) unstable; urgency=low

  * Improved output of config_modem.

 -- Michael Prokop <mika@grml.org>  Sat, 14 Jan 2006 23:28:52 +0100

grml-autoconfig (0.2-43) unstable; urgency=low

  * speechd-up does not start through grml-autoconfig, so start
    it manually after booting. Changed an einfo to eend as well.

 -- Michael Prokop <mika@grml.org>  Sat, 14 Jan 2006 22:51:07 +0100

grml-autoconfig (0.2-42) unstable; urgency=low

  * Run speechd-up in daemon mode.
  * Disable config_pcmcia by default now (cardmgr is obsolete
    with current kernel and udev).
  * Removed pcmcia and firewirefix from grml-autoconfig interface.

 -- Michael Prokop <mika@grml.org>  Sat, 14 Jan 2006 18:34:50 +0100

grml-autoconfig (0.2-41) unstable; urgency=low

  * Added - experimental - config_swspeak / CONFIG_SWSPEAK
    (run software synthesizer via speakup).

 -- Michael Prokop <mika@grml.org>  Sat, 14 Jan 2006 14:47:48 +0100

grml-autoconfig (0.2-40) unstable; urgency=low

  * Removed config_keyboard_cmdline and moved code from there to
    config_language to avoid racecondition. Now using bootoptions
    lang, keyboard and xkeyboard should work at the same time.

 -- Michael Prokop <mika@grml.org>  Thu, 12 Jan 2006 21:23:54 +0100

grml-autoconfig (0.2-39) unstable; urgency=low

  * Updated config_pcmcia so it works with new pcmciautils package,
    where cardmgr isn't present anymore. Needs some tests, though.
  * Install autoconfig.functions with permissions 755 so it can
    be executed.

 -- Michael Prokop <mika@grml.org>  Thu, 12 Jan 2006 18:09:06 +0100

grml-autoconfig (0.2-38) unstable; urgency=low

  * Updated config_ipv6.

 -- Michael Prokop <mika@grml.org>  Mon,  9 Jan 2006 22:19:21 +0100

grml-autoconfig (0.2-37) unstable; urgency=low

  * Added ipv6 bootoption (thanks, Stephan Peijnik!). Needs
    some testing though.

 -- Michael Prokop <mika@grml.org>  Sun,  8 Jan 2006 22:57:22 +0100

grml-autoconfig (0.2-36) unstable; urgency=low

  * Improved config_cpu:
    - removed UUOL
    - check for cpudyn-support (thanks, Stephan Peijnik!)
  * Warn if running not under zsh.
  * Switched 'eend 0 || eend 1' statements to 'eend $?'.

 -- Michael Prokop <mika@grml.org>  Sun,  8 Jan 2006 16:54:22 +0100

grml-autoconfig (0.2-35) unstable; urgency=low

  * Oh, wrong logic for $VOL in config_mixer. Fixed.

 -- Michael Prokop <mika@grml.org>  Sun,  8 Jan 2006 00:29:14 +0100

grml-autoconfig (0.2-34) unstable; urgency=low

  * Modified $NOSWAP logic in config_fstab for infotext.
  * Add bootoption nofirewiredev in config_firewire_dev.
  * Set CONFIG_FIREWIRE_DEV to no by default.

 -- Michael Prokop <mika@grml.org>  Sun,  8 Jan 2006 00:08:57 +0100

grml-autoconfig (0.2-33) unstable; urgency=low

  * Check for return codes in interface (thanks for hint, Gebi).

 -- Michael Prokop <mika@grml.org>  Sat,  7 Jan 2006 14:19:44 +0100

grml-autoconfig (0.2-32) unstable; urgency=low

  * Don't try to create stuff like /proc/bus/usb in config_fstab.

 -- Michael Prokop <mika@grml.org>  Sat,  7 Jan 2006 12:26:53 +0100

grml-autoconfig (0.2-31) unstable; urgency=low

  * Use wm-ng (fluxbox with addons) as default window manager for
    bootoption startx.

 -- Michael Prokop <mika@grml.org>  Sat,  7 Jan 2006 11:53:14 +0100

grml-autoconfig (0.2-30) unstable; urgency=low

  * Added bootoption vol for setting volumes via aumix to config_mixer.

 -- Michael Prokop <mika@grml.org>  Thu,  5 Jan 2006 19:45:54 +0100

grml-autoconfig (0.2-29) unstable; urgency=low

  * Add function iszsh to autoconfig.functions and use setopt only
    if running with zsh.

 -- Michael Prokop <mika@grml.org>  Thu,  5 Jan 2006 17:37:20 +0100

grml-autoconfig (0.2-28) unstable; urgency=low

  * Call rmnologin with start-option (thx4hint, Marc!).
  * Don't output the 'overall' text in RAM-info.

 -- Michael Prokop <mika@grml.org>  Wed,  4 Jan 2006 14:29:18 +0100

grml-autoconfig (0.2-27) unstable; urgency=low

  * Improved output of RAM-info.

 -- Michael Prokop <mika@grml.org>  Tue,  3 Jan 2006 23:10:54 +0100

grml-autoconfig (0.2-26) unstable; urgency=low

  * Don't use discover by default anymore (udev does that now).
  * Rewrote config_blacklist:
    - run it only on live-cd
    - use /etc/modprobe.d/grml
  * Removed hotplug-light from grml-autoconfig interface and
    set default for discover to 'off'.

 -- Michael Prokop <mika@grml.org>  Sat, 31 Dec 2005 18:22:25 +0100

grml-autoconfig (0.2-25) unstable; urgency=low

  * Some small changes in look'n'feel.
  * Run config_small earlier.
  * Rewrote output code of discover function.
  * Rewrote code of config_acpi_apm.
  * Added CONFIG_SETKEYCODES.
  * Lot's of code cleanups.
  * Rewrote bootoptions passwd and ssh.
  * Implemented bootoption blacklist (notice: not used currently).

 -- Michael Prokop <mika@grml.org>  Tue, 27 Dec 2005 19:37:48 +0100

grml-autoconfig (0.2-24) unstable; urgency=low

  * Added check for RAM to config_small.
  * Switched log_* lsb-functions to e* stuff.

 -- Michael Prokop <mika@grml.org>  Tue, 27 Dec 2005 17:17:49 +0100

grml-autoconfig (0.2-23) unstable; urgency=low

  * Fixed typo in config_fstab.

 -- Michael Prokop <mika@grml.org>  Wed, 21 Dec 2005 10:26:32 +0100

grml-autoconfig (0.2-22) unstable; urgency=low

  * Don't use static values for grml-autoconfig interface.

 -- Michael Prokop <mika@grml.org>  Sun, 18 Dec 2005 21:55:06 +0100

grml-autoconfig (0.2-21) unstable; urgency=low

  * Use 'harddisk' instead of 'Harddisk' as infotext (thx4hint,
    Jens Kubieziel!).

 -- Michael Prokop <mika@grml.org>  Sat, 17 Dec 2005 23:16:39 +0100

grml-autoconfig (0.2-20) unstable; urgency=low

  * Added config_debnet (thanks, Marc Haber!).

 -- Michael Prokop <mika@grml.org>  Sat, 17 Dec 2005 18:54:25 +0100

grml-autoconfig (0.2-19) unstable; urgency=low

  * Fixed bug in config_cdrom_scripts which prevented
    execution of files in /cdrom/scripts/.

 -- Michael Prokop <mika@grml.org>  Tue, 13 Dec 2005 19:16:45 +0100

grml-autoconfig (0.2-18) unstable; urgency=low

  * Run grml2hd-noninteractive inside GNU screen.
  * Deactivate hotplug(-light) as udev handles this stuff
    already.
  * Added config_vmware (creates xorg.conf based on template).

 -- Michael Prokop <mika@grml.org>  Sun, 11 Dec 2005 12:39:34 +0100

grml-autoconfig (0.2-17) unstable; urgency=low

  * Some clean ups in lsb-functions.

 -- Michael Prokop <mika@grml.org>  Mon,  5 Dec 2005 11:21:11 +0100

grml-autoconfig (0.2-16) unstable; urgency=low

  * Adjusted hotplug-system for use with udev >=0.076-4.
  * Merged gentoo-functions into lsb-functions.

 -- Michael Prokop <mika@grml.org>  Sun,  4 Dec 2005 23:31:38 +0100

grml-autoconfig (0.2-15) unstable; urgency=low

  * Added bootoption 'nomodules' to disable loading of modules
    defined in /etc/grml/modules.

 -- Michael Prokop <mika@grml.org>  Sat,  3 Dec 2005 15:31:00 +0100

grml-autoconfig (0.2-14) unstable; urgency=low

  * Support module-init-tools-style of loading specific modules
    through /etc/grml/modules - only available when running from
    CD.

 -- Michael Prokop <mika@grml.org>  Sat,  3 Dec 2005 12:42:03 +0100

grml-autoconfig (0.2-13) unstable; urgency=low

  * Adjust /etc/hosts when using bootparam 'hostname=...' as well.

 -- Michael Prokop <mika@grml.org>  Thu,  1 Dec 2005 13:23:10 +0100

grml-autoconfig (0.2-12) unstable; urgency=low

  * Use getent for getting fstabuser.

 -- Michael Prokop <mika@grml.org>  Sat, 26 Nov 2005 19:58:02 +0100

grml-autoconfig (0.2-11) unstable; urgency=low

  * Upps, spelling error in fstab infotext - fixed that.

 -- Michael Prokop <mika@grml.org>  Mon, 21 Nov 2005 22:45:52 +0100

grml-autoconfig (0.2-10) unstable; urgency=low

  * Added infotext to config_fstab how to disable fstab generation.

 -- Michael Prokop <mika@grml.org>  Mon, 21 Nov 2005 15:58:59 +0100

grml-autoconfig (0.2-9) unstable; urgency=low

  * 855resolution is now 915resolution.
  * Added support for setting hostname via bootparam 'hostname=...'.
  * Added bootparam distcc, set via distcc=$NETWORK,$LISTENER.

 -- Michael Prokop <mika@grml.org>  Wed, 16 Nov 2005 18:31:41 +0100

grml-autoconfig (0.2-8) unstable; urgency=low

  * Just a small cosmetic fix in GRMLCFG-code.

 -- Michael Prokop <mika@grml.org>  Thu, 10 Nov 2005 23:38:16 +0100

grml-autoconfig (0.2-7) unstable; urgency=low

  * Adjusted output of floppy mount of GRMLCFG device.
  * Removed debug output in language code.

 -- Michael Prokop <mika@grml.org>  Thu, 10 Nov 2005 10:51:23 +0100

grml-autoconfig (0.2-6) unstable; urgency=low

  * Some small bugfixes in config_swap.
  * Improved language settings. Setting LANGUAGE is now also possible
    via configuring $LANGUAGE in /etc/grml/autoconfig.

 -- Michael Prokop <mika@grml.org>  Tue,  8 Nov 2005 13:49:23 +0100

grml-autoconfig (0.2-5) unstable; urgency=low

  * Added CONFIG_FAST for skipping startup of w3m via bootparam
    'fast'.

 -- Michael Prokop <mika@grml.org>  Sun,  6 Nov 2005 16:25:12 +0100

grml-autoconfig (0.2-4) unstable; urgency=low

  * Added /etc/init.d/grml-autoconfig.strace

 -- Michael Prokop <mika@grml.org>  Thu,  3 Nov 2005 17:03:37 +0100

grml-autoconfig (0.2-3) unstable; urgency=low

  * Added check for existence of /usr/X11R6/bin/X in startx
    bootparam.

 -- Michael Prokop <mika@grml.org>  Tue,  1 Nov 2005 19:32:44 +0100

grml-autoconfig (0.2-2) unstable; urgency=low

  * Fixed message of accessing floppy disk in config_automount.

 -- Michael Prokop <mika@grml.org>  Tue,  1 Nov 2005 18:46:11 +0100

grml-autoconfig (0.2-1) unstable; urgency=low

  * Let's bumb version to 0.2 as grml-autoconfig is already shipped
    with grml 0.5.
  * Let's drop /etc/init.d/grml-autoconfig.old
  * Changed access to floppy device from mount command to dd
    in config_automount (thanks for idea, gebi!).

 -- Michael Prokop <mika@grml.org>  Tue,  1 Nov 2005 18:35:50 +0100

grml-autoconfig (0.1-56) unstable; urgency=low

  * Added infotext in config_automount.

 -- Michael Prokop <mika@grml.org>  Sun, 23 Oct 2005 16:35:37 +0200

grml-autoconfig (0.1-55) unstable; urgency=low

  * Improved device handling in config_automount.

 -- Michael Prokop <mika@grml.org>  Sun, 23 Oct 2005 15:25:26 +0200

grml-autoconfig (0.1-54) unstable; urgency=low

  * Automounting works so added CONFIG_AUTOMOUNT to autoconfig
    and autoconfig.small.
  * Improved config_debug so we can use screen with full featured
    shell (providing job handling).
  * We have to use directory /cdrom/bootparams/ and not a single
    file for multisessions.

 -- Michael Prokop <mika@grml.org>  Sun, 23 Oct 2005 12:45:09 +0200

grml-autoconfig (0.1-53) unstable; urgency=low

  * Invoke a /bin/zsh after running grml2hd in non-interactive
    mode in any case.
  * We do need check for /cdrom/bootparams in /etc/init.d/grml-autoconfig
    of course.

 -- Michael Prokop <mika@grml.org>  Sun, 23 Oct 2005 00:40:13 +0200

grml-autoconfig (0.1-52) unstable; urgency=low

  * Finished documentation in /etc/grml/autoconfig[.small].

 -- Michael Prokop <mika@grml.org>  Thu, 20 Oct 2005 11:42:26 +0200

grml-autoconfig (0.1-51) unstable; urgency=low

  * Only a small clean up of info message in config_homedir.

 -- Michael Prokop <mika@grml.org>  Tue, 18 Oct 2005 21:52:31 +0200

grml-autoconfig (0.1-50) unstable; urgency=low

  * Updated config_modem (don't start if it sl-modem is not present).

 -- Michael Prokop <mika@grml.org>  Mon, 17 Oct 2005 16:16:31 +0200

grml-autoconfig (0.1-49) unstable; urgency=low

  * Added partconf to CONFIG_MYCONFIG.
  * Fixed problem in script grml-autoconfig with exit status
    of set_values-function.
  * Added wlan to strings of /proc/net/dev in config_dhcp (thanks to
    Martin 'mabu' Buchleitner!).
  * Fixed architecure specific things.
    - This package is an architecture all file
    - acpid is i386, amd64 only, so added apmd as alternative
    -> Thanks Alexander Wirt <formorer@debian.org>!
  * Use /cdrom/bootparams for additional bootparams.
  * Oh, it's /var/log/boot and not bootlogd - adjusted infotext.

 -- Michael Prokop <mika@grml.org>  Wed, 12 Oct 2005 16:29:20 +0200

grml-autoconfig (0.1-48) unstable; urgency=low

  * Rewrote CONFIG_MYCONFIG.

 -- Michael Prokop <mika@grml.org>  Tue, 11 Oct 2005 18:30:06 +0200

grml-autoconfig (0.1-47) unstable; urgency=low

  * Removed CONFIG_RNETCONFIG and rewrote functions for
    CONFIG_NETCONFIG.

 -- Michael Prokop <mika@grml.org>  Thu,  6 Oct 2005 17:26:08 +0200

grml-autoconfig (0.1-46) unstable; urgency=low

  * Deprecated CONFIG_REMOUNT_ROOT.

 -- Michael Prokop <mika@grml.org>  Wed,  5 Oct 2005 23:11:57 +0200

grml-autoconfig (0.1-45) unstable; urgency=low

  * Oh, NONINTERACTIVE does not work as expected for hotplug-light.
    Changed back to old behaviour therefore.

 -- Michael Prokop <mika@grml.org>  Sun,  2 Oct 2005 17:35:17 +0200

grml-autoconfig (0.1-44) unstable; urgency=low

  * Updated finish langauge settings (merged from knoppix mailing
    list).

 -- Michael Prokop <mika@grml.org>  Sat,  1 Oct 2005 21:41:13 +0200

grml-autoconfig (0.1-43) unstable; urgency=low

  * Adjusted BOOTDEBUG with printk-settings.

 -- Michael Prokop <mika@grml.org>  Sat,  1 Oct 2005 16:16:47 +0200

grml-autoconfig (0.1-42) unstable; urgency=low

  * Fixed rebuildfstab command.

 -- Michael Prokop <mika@grml.org>  Sat,  1 Oct 2005 14:44:39 +0200

grml-autoconfig (0.1-41) unstable; urgency=low

  * Run hotplug-light with NONINTERACTIVE=yes so we supress
    error messages while booting...
  * Upps, hotplug-light was already in depends, removed again.

 -- Michael Prokop <mika@grml.org>  Sat,  1 Oct 2005 12:11:10 +0200

grml-autoconfig (0.1-40) unstable; urgency=low

  * Moved kernel ring buffer settings behind color-stuff.
  * Added hotplug-light to depends.

 -- Michael Prokop <mika@grml.org>  Sat,  1 Oct 2005 02:08:48 +0200

grml-autoconfig (0.1-39) unstable; urgency=low

  * Use grml-autoconfig in runlevel 2: modified postinstall script.
  * Added syslog-ng to depends.

 -- Michael Prokop <mika@grml.org>  Sat,  1 Oct 2005 02:03:17 +0200

grml-autoconfig (0.1-38) unstable; urgency=low

  * Added gpm to depends.

 -- Michael Prokop <mika@grml.org>  Sat,  1 Oct 2005 00:51:52 +0200

grml-autoconfig (0.1-37) unstable; urgency=low

  * Added check if rebuildfstab binary is present.

 -- Michael Prokop <mika@grml.org>  Sat,  1 Oct 2005 00:34:33 +0200

grml-autoconfig (0.1-36) unstable; urgency=low

  * Added /etc/sysconfig-directory with empty files to make sure
    the files exist.

 -- Michael Prokop <mika@grml.org>  Sat,  1 Oct 2005 00:15:53 +0200

grml-autoconfig (0.1-35) unstable; urgency=low

  * Modified gpm-startup (thanks, gebi!) - this should fix the
    "missing /dev/psaux" problem.
  * Added CONFIG_855RESOLUTION.
  * Updated manpage.

 -- Michael Prokop <mika@grml.org>  Tue, 27 Sep 2005 22:34:13 +0200

grml-autoconfig (0.1-34) unstable; urgency=low

  * Adjusted infotext in grml-autonconfig for dhcp-option
    (s/dhclient/pump/) [thanks for reporting, hecka!].
  * Added cf (French Canadian version) to suppported languages
    (taken from knoppix mailinglist).

 -- Michael Prokop <mika@grml.org>  Tue, 27 Sep 2005 13:10:33 +0200

grml-autoconfig (0.1-33) unstable; urgency=low

  * Implemented boot options for automatic grml2hd-installation:
    - user
    - filesystem
    - partition
    - bootpartition
  * Adjust kernel ring buffer at beginng of grml-autoconfig.

 -- Michael Prokop <mika@grml.org>  Sun, 25 Sep 2005 00:53:32 +0200

grml-autoconfig (0.1-32) unstable; urgency=low

  * Added check for root-permissions to script grml-autoconfig.

 -- Michael Prokop <mika@grml.org>  Sat, 24 Sep 2005 23:15:49 +0200

grml-autoconfig (0.1-31) unstable; urgency=low

  * Added CONFIG_GRML2HD for automatic installation via bootoption
    grml2hd.

 -- Michael Prokop <mika@grml.org>  Wed, 21 Sep 2005 22:25:13 +0200

grml-autoconfig (0.1-30) unstable; urgency=low

  * No, let's drop the /proc/bus/usb code, we should handle this via
    /etc/init.d/mountvirtfs.

 -- Michael Prokop <mika@grml.org>  Wed, 21 Sep 2005 18:45:42 +0200

grml-autoconfig (0.1-29) unstable; urgency=low

  * Let's mount /proc/bus/usb in mount_proc if not booting with 'nousb'.

 -- Michael Prokop <mika@grml.org>  Wed, 21 Sep 2005 18:38:43 +0200

grml-autoconfig (0.1-28) unstable; urgency=low

  * Let's drop config_checkfs -> CONFIG_CHECKFS='no', we should
    handle this via update-rc.d / runlevels.
  * Use 'hostname --file /etc/hostname' instead of 'hostname grml'
    and use it also on harddisk installations.

 -- Michael Prokop <mika@grml.org>  Tue, 20 Sep 2005 14:55:21 +0200

grml-autoconfig (0.1-27) unstable; urgency=low

  * Let's use 'xorgcfg -textmode' for interactive setup.

 -- Michael Prokop <mika@grml.org>  Sat, 17 Sep 2005 12:05:18 +0200

grml-autoconfig (0.1-26) unstable; urgency=low

  * Redirect output of check_partitions to /dev/null.
  * Moved startup of syslog to an earlier place.

 -- Michael Prokop <mika@grml.org>  Fri, 16 Sep 2005 13:50:58 +0200

grml-autoconfig (0.1-25) unstable; urgency=low

  * Modified bootoption 'log'; bootlogd is broken with sysvinit_2.86.ds1-2_i386.deb
    but works with sysvinit_2.86.ds1-1.1_i386.deb, hmpf.

 -- Michael Prokop <mika@grml.org>  Mon, 12 Sep 2005 10:22:25 +0200

grml-autoconfig (0.1-24) unstable; urgency=low

  * Let's make autoconfig.functions executable and use /usr/bin/zsh.
  * Fixed bootoption 'log' (missing a variable export).

 -- Michael Prokop <mika@grml.org>  Mon, 12 Sep 2005 02:53:15 +0200

grml-autoconfig (0.1-23) unstable; urgency=low

  * Added new bootoption CONFIG_FWTIMEOUT for setting timeout
    for firmware loading (via /sys/class/firmware/timeout).

 -- Michael Prokop <mika@grml.org>  Mon, 12 Sep 2005 01:57:59 +0200

grml-autoconfig (0.1-22) unstable; urgency=low

  * Adjusted options for use with new config framework (CONFIG_NETCONFIG /
    CONFIG_RNETCONFIG). (Thanks for reporting, Marc Haber!)

 -- Michael Prokop <mika@grml.org>  Sat, 10 Sep 2005 11:47:38 +0200

grml-autoconfig (0.1-21) unstable; urgency=low

  * Some small eye-candy-improvements in script grml-autoconfig.
    Output message if adjusting values worked, error message on failure.

 -- Michael Prokop <mika@grml.org>  Mon,  5 Sep 2005 01:49:23 +0200

grml-autoconfig (0.1-20) unstable; urgency=low

  * Renamed config_config to config_netconfig, config_rconfig to
    config_rnetconfig.
  * Added config_scripts, config_debs, config_config.
  * Some more cleanups (changed some more echo-ing stuff
    to lsb-functions).

 -- Michael Prokop <mika@grml.org>  Mon,  5 Sep 2005 01:23:59 +0200

grml-autoconfig (0.1-19) unstable; urgency=low

  * The 'now we have an interface and are lintian-clean' release.
  * Added script grml-autoconfig (interface to configuration
    file /etc/grml/autoconfig).
  * Renamed CONFIG_HOTPLUG to CONFIG_HOTPLUG_MAIN.
  * Made package lintian-clean (use /usr/bin/zsh as zsh path,
    added dependency to zsh, let's use update-rc.d for
    /etc/init.d/grml-autoconfig).

 -- Michael Prokop <mika@grml.org>  Mon,  5 Sep 2005 00:26:20 +0200

grml-autoconfig (0.1-18) unstable; urgency=low

  * Added config_fix_passwd (fix passwd-problem).

 -- Michael Prokop <mika@grml.org>  Wed, 17 Aug 2005 21:23:09 +0200

grml-autoconfig (0.1-17) unstable; urgency=low

  * Added small hint to config_x_startup.

 -- Michael Prokop <mika@grml.org>  Sun, 14 Aug 2005 17:58:57 +0200

grml-autoconfig (0.1-16) unstable; urgency=low

  * Let's support startx only on live-cd-systems (because of
    the init-hack). Prompt useful message instead on harddisk-systems.

 -- Michael Prokop <mika@grml.org>  Sun, 14 Aug 2005 14:32:15 +0200

grml-autoconfig (0.1-15) unstable; urgency=low

  * Fixed value for cs/cz-keyboard-layout.
  * Added checkgrmlusb.
  * Added config_x_startup for bootparam 'startx[=windowmanager]'.
  * Improved handling of DEBUG=.....
  * Let's run loadkeys in background.

 -- Michael Prokop <mika@grml.org>  Sun,  7 Aug 2005 21:22:54 +0200

grml-autoconfig (0.1-14) unstable; urgency=low

  * Improved language support for grml-small (let's use LANG=C there) via
    function checkgrmlsmall.

 -- Michael Prokop <mika@grml.org>  Thu, 28 Jul 2005 10:13:15 +0200

grml-autoconfig (0.1-13) unstable; urgency=low

  * We don't want to use mouseconfig anymore.

 -- Michael Prokop <mika@grml.org>  Thu, 14 Jul 2005 11:49:53 +0200

grml-autoconfig (0.1-12) unstable; urgency=low

  * We don't need kbdconfig anymore, now we call
    /usr/sbin/dpkg-reconfigure console-data.

 -- Michael Prokop <mika@grml.org>  Thu, 14 Jul 2005 11:33:10 +0200

grml-autoconfig (0.1-11) unstable; urgency=low

  * Added support for bootsplash.
  * Reordered execution of grml-autoconfig functions.

 -- Michael Prokop <mika@grml.org>  Sun, 10 Jul 2005 12:37:52 +0200

grml-autoconfig (0.1-10) unstable; urgency=low

  * Adjusted black-bootparam for use with hotplug-light.
  * Fixed passwd and ssh bootparams (problems with chpasswd).
  * Added CONFIG_CONSOLE for use with mgetty.
  * Slightly improved CONFIG_CREATE_MNT_DIRS.

 -- Michael Prokop <mika@grml.org>  Tue,  5 Jul 2005 00:10:38 +0200

grml-autoconfig (0.1-9) unstable; urgency=low

  * Fixed 'grml testcd'-cheatcode (md5sum-handling).

 -- Michael Prokop <mika@grml.org>  Mon,  4 Jul 2005 01:29:08 +0200

grml-autoconfig (0.1-8) unstable; urgency=low

  * Let's always activate check_partitions.
  * Fixed debug bootparam handling.

 -- Michael Prokop <mika@grml.org>  Sun,  3 Jul 2005 23:28:39 +0200

grml-autoconfig (0.1-7) unstable; urgency=low

  * Adjusted hotplug for use with hotplug-light (but still works
    with hotplug anyway).

 -- Michael Prokop <mika@grml.org>  Sun,  3 Jul 2005 21:06:09 +0200

grml-autoconfig (0.1-6) unstable; urgency=low

  * Added CONFIG_CREATE_MNT_DIRS for creating all directories defined
    as mounting target in /etc/fstab.

 -- Michael Prokop <mika@grml.org>  Sat,  2 Jul 2005 23:07:31 +0200

grml-autoconfig (0.1-5) unstable; urgency=low

  * Added workaround/fix for unionfs ('apt-...' segfaults cause
    of problems with /var/cache/apt/*.bin): CONFIG_FIX_UNIONFS
  * Let's create firewire devices not only with kernel 2.6.11.
  * Improved CONFIG_LD_MOD.

 -- Michael Prokop <mika@grml.org>  Fri,  1 Jul 2005 01:09:31 +0200

grml-autoconfig (0.1-4) unstable; urgency=low

  * Updated conflicts (for installation without conflicts with grml-etc).

 -- Michael Prokop <mika@grml.org>  Sat, 25 Jun 2005 22:55:23 +0200

grml-autoconfig (0.1-3) unstable; urgency=low

  * Included new grml-autoconfig-framework. Now it's possible to
    control grml-autoconfig behaviour via /etc/grml/autoconfig.
    Notice that you can fall back to /etc/init.d/grml-autoconfig.old
    if you consider any problems at the moment.

 -- Michael Prokop <mika@grml.org>  Sat, 25 Jun 2005 00:51:16 +0200

grml-autoconfig (0.1-2) unstable; urgency=low

  * Added conflicts to debian/control.

 -- Michael Prokop <mika@grml.org>  Thu,  9 Jun 2005 00:49:48 +0200

grml-autoconfig (0.1-1) unstable; urgency=low

  * Initial release.

 -- Michael Prokop <mika@grml.org>  Sun,  5 Jun 2005 18:47:51 +0200

